<?php

	//  Copyright (c) 2004-2009 randshop
	//  http://www.randshop.com
	//
	//  Unter Lizenz von randshop
	//	
	//	Letzte Bearbeitung: 30.03.2009

	session_start();

	// Hauptkonfigurationsdatei
	include_once("../../conf/config.inc.php");
	include_once(DATEIPFAD . "conf/db.inc.php");
	if(RECHNUNGSWESEN) {
		include_once(DATEIPFAD . "includes/functions.mod.bestellungen.inc.php");
	} else {
		include_once(DATEIPFAD . "includes/functions.bestellungen.inc.php");
	}
	include_once(DATEIPFAD . "includes/functions.shopeinstellung.inc.php");
	include_once(DATEIPFAD . "includes/functions.global.inc.php");
	include_once(DATEIPFAD . "includes/session_register.inc.php");
	include_once(DATEIPFAD . "includes/crypt.inc.php");

    if(PLUGIN_KLEINUNTERNEHMEN) {
        include_once(DATEIPFAD . "plugins/plugin.kleinunternehmen.inc.php");
        $Kleinunternehmer = GetKleinunternehmerRegelung();
    }

    // Spracheninclude
    if (is_readable(DATEIPFAD . "includes/language/langu_" . $_SESSION["languageisocode"] . ".inc.php")) {
        include_once(DATEIPFAD . "includes/language/langu_" . $_SESSION["languageisocode"] . ".inc.php");
    } else {
        include_once(DATEIPFAD . "includes/language/langu_de.inc.php");
    }

    $BestellObject = GetBestellenDetail($_GET["bestell_id"]);

    // Shopeinstellungen
	$ShopeinstellungObject = GetShopeinstellungDetail($BestellObject->shop_id);

	
	$TemplateObject = GetTemplateDetail($BestellObject->shop_id);
	
	$tpl_templatename = $TemplateObject->name;
	$tpl_templatedesign = $TemplateObject->design;
	
	// Bestellung einlesen
	$WaehrungObject = GetWaehrungDetail();

	// ********************************************************************************
	// ** Daten f�r die Ausgabe aufbereiten
	// ********************************************************************************

	// Betreiberdaten
	if ($ShopeinstellungObject->firmen_titel) { $tpl_betreiber_firma = $ShopeinstellungObject->firmen_titel; }
	if ($ShopeinstellungObject->name) { $tpl_betreiber_name = $ShopeinstellungObject->name; } ;
	$tpl_betreiber_strasse = $ShopeinstellungObject->strasse;
	$tpl_betreiber_plz = $ShopeinstellungObject->plz;
	$tpl_betreiber_ort = $ShopeinstellungObject->ort;
	$tpl_betreiber_telefon = $ShopeinstellungObject->tel;
	$tpl_betreiber_telefax = $ShopeinstellungObject->fax;
	$tpl_betreiber_email = $ShopeinstellungObject->email;
	$tpl_betreiber_url = $ShopeinstellungObject->url;
	
	$tpl_betreiber_steuernummer = $ShopeinstellungObject->str_nr;
	$tpl_betreiber_ustid = $ShopeinstellungObject->ust;
	$tpl_betreiber_bank = $ShopeinstellungObject->bank;
	$tpl_betreiber_blz = $ShopeinstellungObject->blz;
	$tpl_betreiber_konto = $ShopeinstellungObject->konto;
	$tpl_betreiber_iban = $ShopeinstellungObject->iban;
	$tpl_betreiber_bic = $ShopeinstellungObject->bic;
	$tpl_betreiber_handelsregister = $ShopeinstellungObject->handelsregister;
	$tpl_betreiber_sitz_gesellschaft = $ShopeinstellungObject->sitz_gesellschaft;
	$tpl_betreiber_amtsgericht = $ShopeinstellungObject->amtsgericht;
	$tpl_betreiber_gerichtsstand = $ShopeinstellungObject->gerichtsstand;
	$tpl_betreiber_geschaeftsfuehrer = $ShopeinstellungObject->geschaeftsfuehrer;
	$tpl_dokument_headline = $a_auftragsbest;
	$tpl_waehrung = $WaehrungObject->symbol;

	// Kundendaten
	$tpl_kunde_firma = $BestellObject->firma;
	$tpl_kunde_anrede = $BestellObject->anrede;
	
	$tpl_kunde_titel = $BestellObject->titel;
	
	$tpl_kunde_vorname = $BestellObject->vorname;	
	$tpl_kunde_nachname = $BestellObject->nachname;
	$tpl_kunde_strasse = $BestellObject->strasse;
	$tpl_kunde_hausnummer = $BestellObject->hausnummer;
	$tpl_kunde_plz = $BestellObject->plz;
	$tpl_kunde_ort = $BestellObject->ort;
	$tpl_kunde_land = $BestellObject->land;
	
	$tpl_kunde_lieferung = $BestellObject->wohin_liefern;
	$tpl_kunde_la_firma = $BestellObject->la_firma;
	$tpl_kunde_la_anrede = $BestellObject->la_anrede;
	$tpl_kunde_la_titel = $BestellObject->la_titel;
	$tpl_kunde_la_vorname = $BestellObject->la_vorname;
	$tpl_kunde_la_nachname = $BestellObject->la_nachname;
	$tpl_kunde_la_strasse = $BestellObject->la_strasse;
	$tpl_kunde_la_hausnummer = $BestellObject->la_hausnummer;
	$tpl_kunde_la_plz = $BestellObject->la_plz;
	$tpl_kunde_la_ort = $BestellObject->la_ort;
	$tpl_kunde_la_land = $BestellObject->la_land;
	
	
	// Angaben zu der Bestellung
	$tpl_kundennummer = $BestellObject->kunden_id;
	$tpl_auftragsnummer = $BestellObject->auftragsnummer;
	$tpl_auftragsdatum = $BestellObject->auftragsdatum_format;
	$tpl_zahlungsart_name = $BestellObject->zahlungsart_name;

	// Warenkorb
	$tpl_warenkorbarray = $BestellObject->warenkorbdataarray["warenkorbarray"];
	
	// MwSt
	$tpl_mwstarray = $BestellObject->warenkorbdataarray["mwstarray"];
	
	// MwSt-Satz für Versandart
	$tpl_versandmwst = $BestellObject->versand_mwst_format;

	// Warenwert
	$tpl_warenwert = $BestellObject->warenwert_format_einfach;
	$tpl_warenwert_text = $BestellObject->warenwert_text;
	
	// Zahlungsart
	$tpl_zahlungsart_name = $BestellObject->zahlungsart_name;
	$tpl_zahlungsart_preis = $BestellObject->zahlungsart_preis_format_einfach;

	// Versandart
	$tpl_versandart_name = $BestellObject->versandart_name;
	$tpl_versandart_preis = $BestellObject->versandart_preis_format_einfach;
	
	// Rabatt
	$tpl_rabatt_name = $BestellObject->rabatt_name;
	$tpl_rabatt_prozent = $BestellObject->rabatt_prozent;
	$tpl_rabatt_betrag = $BestellObject->rabatt_betrag_format_einfach;
	
	// Gutschein
	$tpl_gutschein_text = $BestellObject->gutschein_text;
	$tpl_gutschein_betrag = $BestellObject->gutschein_betrag_format_einfach;
	
	// Summen
	$tpl_gesamtsumme = $BestellObject->gesamtsumme_format_einfach;
	$tpl_gesamtsumme_text = $BestellObject->gesamtsumme_text;
	$tpl_gesamtsumme_alternativ = $BestellObject->gesamtsumme_alternativ_format_einfach;
	$tpl_gesamtsumme_alternativ_text = $BestellObject->gesamtsumme_alternativ_text;
	
	// Kundenbemerkung
	$tpl_kundenbemerkung = nl2br($BestellObject->kundenbemerkung);
	
	// keine MwSt
	$tpl_keinemwst_text = $BestellObject->warenkorbdataarray["keinemwst_text"];

	// Template
	$ContentFile = DATEIPFAD . "templates/" . $TemplateObject->name . "/dokumente/auftragsbestaetigung.phtml";
	
	include_once(DATEIPFAD . "templates/" . $TemplateObject->name . "/dokumente/index.phtml");

?>