<?php

/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author$
 * $Date$
 * $Revision$
 * 
 */

include_once(DATEIPFAD . "includes/functions.language.inc.php");
include_once(DATEIPFAD . "includes/functions.artikel.inc.php");
// ********************************************************************************
// ** GetCMSArtikelLanguageDataArray
// ********************************************************************************
function GetCMSArtikelLanguageDataArray($ArtikelID) {
	
	// Sprachen Abfragen
	$SQLString = "SELECT ";
	$SQLString .= TABLE_LANGUAGE . ".language_id, ";
	$SQLString .= "IF(ISNULL(" . TABLE_CMS_LANGU . ".artikel_name), " . TABLE_LANGUAGE . ".language_image_admintool_inactive, " . TABLE_LANGUAGE . ".language_image_admintool_active) AS language_image_admintool, ";
	$SQLString .= "IF(ISNULL(" . TABLE_CMS_LANGU . ".artikel_name), " . TABLE_LANGUAGE . ".language_image_admintool_inactive_width, " . TABLE_LANGUAGE . ".language_image_admintool_active_width) AS language_image_admintool_width, ";
	$SQLString .= "IF(ISNULL(" . TABLE_CMS_LANGU . ".artikel_name), " . TABLE_LANGUAGE . ".language_image_admintool_inactive_height, " . TABLE_LANGUAGE . ".language_image_admintool_active_height) AS language_image_admintool_height ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_LANGUAGE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_LANGU . " ON ((" . TABLE_LANGUAGE . ".language_id = " . TABLE_CMS_LANGU . ".language_id) AND (" . TABLE_CMS_LANGU . ".artikel_id = '" . $ArtikelID . "')) ";
	
	
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	$LanguageCounter = 0;
	
	while ($ArtikelLanguageRow = mysqli_fetch_array($MySQLQueryReference)) {
		$ArtikelLanguageDataArray[$LanguageCounter]["language_image_admintool_imagestring"] = "<img src=\"" . IMAGEPFAD . "dbimages/" . $ArtikelLanguageRow["language_image_admintool"] . "\" width=\"" . $ArtikelLanguageRow["language_image_admintool_width"] . "\" height=\"" . $ArtikelLanguageRow["language_image_admintool_height"] . "\" border=\"0\">";
		$ArtikelLanguageDataArray[$LanguageCounter]["language_id"] = $ArtikelLanguageRow["language_id"];
		$LanguageCounter++;
	}
	
	return $ArtikelLanguageDataArray;

}

// ********************************************************************************
// ** CopyCMSArtikel
// ********************************************************************************
function CopyCMSArtikel($ArtikelID, $MerkmalkombinationparentID = "") {

    
	global $a_ar_kopie;

	// Artikeldaten einlesen
	$ArtikelObject = GetCMSArtikelDetail($ArtikelID);

	// Grunddaten des Artikels kopieren
	$SQLString = "INSERT INTO " . TABLE_CMS . " SET ";
	$SQLString .= TABLE_CMS . ".artikel_nr = '" . $ArtikelObject->artikel_nr . "', ";
	$SQLString .= TABLE_CMS . ".aktiv = '0' ";

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	$NewArtikelID = $GLOBALS['db']->insert_id;

    //Sprachabhängige Daten
    $SQLString = "SELECT ";
    $SQLString .= TABLE_CMS_LANGU . ".language_id, ";
    $SQLString .= TABLE_CMS_LANGU . ".artikel_name, ";
    $SQLString .= TABLE_CMS_LANGU . ".beschreibung, ";
    $SQLString .= TABLE_CMS_LANGU . ".kurz_beschreibung ";
    $SQLString .= "FROM " . TABLE_CMS_LANGU . " ";
    $SQLString .= "WHERE " . TABLE_CMS_LANGU . ".artikel_id = " . $ArtikelID;

    $QueryReference = errorlogged_mysql_query($SQLString);

    while($row = mysqli_fetch_assoc($QueryReference)){
         
        $SQLString = "INSERT INTO " . TABLE_CMS_LANGU . " SET ";
        $SQLString .= TABLE_CMS_LANGU . ".artikel_name = '" . $a_ar_kopie . " " . $row["artikel_name"] . "', ";
        $SQLString .= TABLE_CMS_LANGU . ".beschreibung = '" . $row["beschreibung"] . "', ";
        $SQLString .= TABLE_CMS_LANGU . ".kurz_beschreibung = '" . $row["kurz_beschreibung"] . "', ";
        $SQLString .= TABLE_CMS_LANGU . ".language_id = '" . $row["language_id"] . "', ";
        $SQLString .= TABLE_CMS_LANGU . ".artikel_id = '" . $NewArtikelID . "' ";

        errorlogged_mysql_query($SQLString);
      
    }    
    
    
	// Kategorien abgleichen
	foreach ($ArtikelObject->kategorie_array as $KategorieArray) {

		$SQLString = "INSERT INTO " . TABLE_CMS_KATEGORIERELATION . " SET ";
		$SQLString .= TABLE_CMS_KATEGORIERELATION . ".artikelid = '" . $NewArtikelID . "', ";
		$SQLString .= TABLE_CMS_KATEGORIERELATION . ".kategorieid = '" . $KategorieArray["id"] . "'";
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}


}

// ********************************************************************************
// ** SetCMSArtikelZuordnung
// ********************************************************************************
function SetCMSArtikelZuordnung($ArtikelID, $AbArtikelID) {

	if ($ArtikelID != $AbArtikelID) {

		// Überprüfen, ob schon vorhanden
		$SQLString = "SELECT " . TABLE_CMS_AB . ".artikelid FROM " . TABLE_CMS_AB . " WHERE " . TABLE_CMS_AB . ".artikelid = '" . $ArtikelID . "' AND " . TABLE_CMS_AB . ".abartikelid = '" . $AbArtikelID . "'";
		$ArtikelObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));

		// Wenn noch nicht, dann zuordnen
		if (!$ArtikelObject) {

			$SQLString = "INSERT INTO " . TABLE_CMS_AB . " SET ";
			$SQLString .= TABLE_CMS_AB . ".artikelid = '" . $ArtikelID . "', ";
			$SQLString .= TABLE_CMS_AB . ".abartikelid = '" . $AbArtikelID . "'";

			errorlogged_mysql_query($SQLString);

		}

	}

}

// ********************************************************************************
// ** SaveCMSArtikelGrunddaten
// ********************************************************************************
function SaveCMSArtikelGrunddaten($ArtikelID, $Artikelnummer, $Artikelname, $Beschreibung, $ImageSmallArray, $ImageSmallLoeschen, $ImageBigArray, $ImageBigLoeschen, $Onlinestatus, $Startaktuellartikel, $ImageLanguageIndependent, $LanguageID = 0, $shopID) {

	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	// ********************************************************************************
	// ** Daten speichern
	// ********************************************************************************

	// Artikel schon vorhanden
	if ($ArtikelID) {

		$SQLString = "UPDATE " . TABLE_CMS . " SET ";
		$SQLString .= TABLE_CMS . ".artikel_nr = '" . $Artikelnummer . "', ";
		$SQLString .= TABLE_CMS . ".aktiv = '" . $Onlinestatus . "', ";
		$SQLString .= TABLE_CMS . ".aktuellartikel = '" . $Startaktuellartikel . "', ";
		$SQLString .= TABLE_CMS . ".image_language_independent = '" . $ImageLanguageIndependent . "' ";
		$SQLString .= " WHERE " . TABLE_CMS . ".id = '" . $ArtikelID . "'";
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	// Artikel neu anlegen
	} else {

		$SQLString = "INSERT INTO " . TABLE_CMS . " SET ";
		$SQLString .= TABLE_CMS . ".artikel_nr = '" . $Artikelnummer . "', ";
		$SQLString .= TABLE_CMS . ".aktiv = '" . $Onlinestatus . "', ";
		$SQLString .= TABLE_CMS . ".aktuellartikel = '" . $Startaktuellartikel . "', ";
		$SQLString .= TABLE_CMS . ".image_language_independent = '" . $ImageLanguageIndependent . "', ";
		$SQLString .= TABLE_CMS . ".timestamp = NOW(), ";
        $SQLString .= TABLE_CMS . ".shop_id = " . $shopID;

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

		$ArtikelID = $GLOBALS['db']->insert_id;

	}

	// Sprachabhängige Daten
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_LANGU . ".artikel_id ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_CMS_LANGU . " ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_LANGU . ".artikel_id = '" . $ArtikelID . "' AND ";
	$SQLString .= TABLE_CMS_LANGU . ".language_id = '" . $LanguageID . "' ";
	
	
	
	$ArtikelLanguageObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	
	if ($ArtikelLanguageObject) {
		
		$SQLString = "UPDATE " . TABLE_CMS_LANGU . " SET ";
		$SQLString .= TABLE_CMS_LANGU . ".artikel_name = '" . htmlspecialchars($Artikelname, ENT_QUOTES) . "', ";
		$SQLString .= TABLE_CMS_LANGU . ".beschreibung = '" . addslashes($Beschreibung) . "' ";
		$SQLString .= " WHERE ";
		$SQLString .= TABLE_CMS_LANGU . ".artikel_id = '" . $ArtikelID . "' AND ";
		$SQLString .= TABLE_CMS_LANGU . ".language_id = '" . $LanguageID . "' ";
		
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	} else {
		
		$SQLString = "INSERT INTO  " . TABLE_CMS_LANGU . " SET ";
		$SQLString .= TABLE_CMS_LANGU . ".artikel_name = '" . htmlspecialchars($Artikelname, ENT_QUOTES) . "', ";
		$SQLString .= TABLE_CMS_LANGU . ".beschreibung = '" . addslashes($Beschreibung) . "', ";
		$SQLString .= TABLE_CMS_LANGU . ".artikel_id = '" . $ArtikelID . "', ";
		$SQLString .= TABLE_CMS_LANGU . ".language_id = '" . $LanguageID . "' ";
		
		//echo $SQLString . "<br>";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}
	

	// ********************************************************************************
	// ** Bilder loeschen
	// ********************************************************************************
	if ($ImageSmallLoeschen) {

		$ImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_s_" . $LanguageID;

		// altes Bild löschen
		unlink_wc(DATEIPFAD . "images/dbimages/", $ImageName . ".*");

		// Datenbank updaten
		$SQLString = "UPDATE " . TABLE_CMS_LANGU . " SET ";
		$SQLString .= TABLE_CMS_LANGU . ".smallImage  = '' ";
		$SQLString .= " WHERE ";
		$SQLString .= TABLE_CMS_LANGU . ".artikel_id = '" . $ArtikelID . "' AND ";
		$SQLString .= TABLE_CMS_LANGU . ".language_id = '" . $LanguageID . "' AND ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

	if ($ImageBigLoeschen) {

		$ImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_b_" . $LanguageID;

		// altes Bild löschen
		unlink_wc(DATEIPFAD . "images/dbimages/", $ImageName . ".*");

		// Datenbank updaten
		$SQLString = "UPDATE " . TABLE_CMS_LANGU . " SET ";
		$SQLString .= TABLE_CMS_LANGU . ".bigImage  = '' ";
		$SQLString .= " WHERE ";
		$SQLString .= TABLE_CMS_LANGU . ".artikel_id = '" . $ArtikelID . "' AND ";
		$SQLString .= TABLE_CMS_LANGU . ".language_id = '" . $LanguageID . "' AND ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

	// ********************************************************************************
	// ** Bilder auswerten
	// ********************************************************************************

	// kleines Bild
	if (($ImageSmallArray["size"] > 0) && !$ImageSmallLoeschen) {

		$NewImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_s_" . $LanguageID;

		// altes Bild löschen
		unlink_wc(DATEIPFAD . "images/dbimages/", $NewImageName . ".*");

		// temporäre Datei kopieren
		$TempNameArray = explode(".", $ImageSmallArray["name"]);
		$NewImageName = $NewImageName . "." . $TempNameArray[count($TempNameArray) - 1];
		move_uploaded_file($ImageSmallArray["tmp_name"], DATEIPFAD . "images/dbimages/" . $NewImageName);
		chmod(DATEIPFAD . "images/dbimages/" . $NewImageName, 0777);

		// Datenbank updaten
		$SQLString = "UPDATE " . TABLE_CMS_LANGU . " SET ";
		$SQLString .= TABLE_CMS_LANGU . ".smallImage  = '" . $NewImageName . "' ";
		$SQLString .= " WHERE ";
		$SQLString .= TABLE_CMS_LANGU . ".artikel_id = '" . $ArtikelID . "' AND ";
		$SQLString .= TABLE_CMS_LANGU . ".language_id = '" . $LanguageID . "' ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

	// großes Bild
	if (($ImageBigArray["size"] > 0) && !$ImageBigLoeschen) {

		$NewImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_b_" . $LanguageID;

		// altes Bild löschen
		unlink_wc(DATEIPFAD . "images/dbimages/", $NewImageName . ".*");

		// temporäre Datei kopieren
		$TempNameArray = explode(".", $ImageBigArray["name"]);
		$NewImageName = $NewImageName . "." . $TempNameArray[count($TempNameArray) - 1];
		move_uploaded_file($ImageBigArray["tmp_name"], DATEIPFAD . "images/dbimages/" . $NewImageName);
		chmod(DATEIPFAD . "images/dbimages/" . $NewImageName, 0777);

		// Datenbank updaten
		$SQLString = "UPDATE " . TABLE_CMS_LANGU . " SET ";
		$SQLString .= TABLE_CMS_LANGU . ".bigImage  = '" . $NewImageName . "' ";
		$SQLString .= " WHERE ";
		$SQLString .= TABLE_CMS_LANGU . ".artikel_id = '" . $ArtikelID . "' AND ";
		$SQLString .= TABLE_CMS_LANGU . ".language_id = '" . $LanguageID . "' ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

	return $ArtikelID;

}



// ********************************************************************************
// ** SetArtikelStartseiten
// ********************************************************************************
function SetAktuellCMSArtikelStartseiten($ArtikelID) {

	// aktuelles Startseitenangebot ermitteln
	$ArtikelObject = GetCMSArtikelDetail($ArtikelID);
	// neuens Startseitenangebot ermitteln
	if ($ArtikelObject->aktuellartikel == 1) {
		$NewAktuellArtikel = 0;
	} else {
		$NewAktuellArtikel = 1;
	}


	// neues Startseitenangebot setzen
	$SQLString = "UPDATE " . TABLE_CMS . " SET ";
	$SQLString .= TABLE_CMS . ".aktuellartikel = '" . $NewAktuellArtikel . "' ";
	$SQLString .= "WHERE " . TABLE_CMS . ".id = '" . $ArtikelID . "'";

	$MySQLQuerryReferenz = errorlogged_mysql_query($SQLString);

}



// ********************************************************************************
// ** SetCMSArtikelOnlinestatus
// ********************************************************************************
function SetCMSArtikelOnlinestatus($ArtikelID) {

	// aktuellen Onlinestatus ermitteln
	$ArtikelObject = GetCMSArtikelDetail($ArtikelID);

	// neuen Onlinestatus ermitteln
	if ($ArtikelObject->aktiv == 1) {
		$NewOnlinestatus = 0;
	} else {
		$NewOnlinestatus = 1;
	}

	// neuen Onlinestatus setzen
	$SQLString = "UPDATE " . TABLE_CMS . " SET ";
	$SQLString .= TABLE_CMS . ".aktiv = '" . $NewOnlinestatus . "' ";
	$SQLString .= "WHERE " . TABLE_CMS . ".id = '" . $ArtikelID . "'";

	$MySQLQuerryReferenz = errorlogged_mysql_query($SQLString);

	// wenn es eine Merkmalkombination ist
	if ($ArtikelObject->merkmalkombination) {

		$SQLString = "UPDATE " . TABLE_CMS . " SET ";
		$SQLString .= TABLE_CMS . ".aktiv = '" . $NewOnlinestatus . "' ";
		$SQLString .= "WHERE " . TABLE_CMS . ".id = '" . $ArtikelObject->merkmalkombination . "'";

		$MySQLQuerryReferenz = errorlogged_mysql_query($SQLString);

	}


}

// ********************************************************************************
// ** SetArtikelLieferstatus
// ********************************************************************************


// ********************************************************************************
// ** GetCMSArtikelDetail
// ********************************************************************************
function GetCMSArtikelDetail($ArtikelID, $KundenEmail = "", $FilterAktiv = 0, $LanguageID = 0) {
    //debug_print_backtrace();
	
	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}
	
	$StandardLanguageID = GetDefaultLanguageID();

	// SQL-String für den Artikel zusammensetzen
	$SQLString = "SELECT DISTINCT ";
	$SQLString .= TABLE_CMS . ".id, ";
	$SQLString .= TABLE_CMS_LANGU . ".artikel_name, ";
	$SQLString .= TABLE_CMS . ".artikel_nr, ";
	$SQLString .= TABLE_CMS_LANGU . ".beschreibung, ";
	$SQLString .= TABLE_CMS_LANGU . ".kurz_beschreibung, ";
	$SQLString .= "IF(" . TABLE_CMS . ".image_language_independent, TABLE_CMS_langu_standard.bigImage, " . TABLE_CMS_LANGU . ".bigImage) AS bigImage, ";
	$SQLString .= "IF(" . TABLE_CMS . ".image_language_independent, TABLE_CMS_langu_standard.smallImage, " . TABLE_CMS_LANGU . ".smallImage) AS smallImage, ";
	$SQLString .= TABLE_CMS . ".aktiv, ";
	$SQLString .= TABLE_CMS . ".aktuellartikel, ";
	$SQLString .= TABLE_CMS . ".image_language_independent ";
    $SQLString .= ', ' . TABLE_CMS . ".shop_id ";
	$SQLString .= "FROM " . TABLE_CMS . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_LANGU . " ON ((" . TABLE_CMS . ".id = " . TABLE_CMS_LANGU . ".artikel_id) AND (" . TABLE_CMS_LANGU . ".language_id = " . $LanguageID . ")) ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_LANGU . " TABLE_CMS_langu_standard ON ((" . TABLE_CMS . ".id = TABLE_CMS_langu_standard.artikel_id) AND (TABLE_CMS_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= "WHERE " . TABLE_CMS . ".id = '" . $ArtikelID . "'";

//	echo '$SQLString: ' . $SQLString . '<br>';

	// Artikel abfragen
	$ArtikelObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	if(!$ArtikelObject) return false;
	
	//Wenn nicht im Admintool, die Artikel und Kategorietags ersetzen
	
	if(!preg_match('/^admin/', $_SERVER["SCRIPT_FILENAME"])){
		$ArtikelObject->beschreibung = ReplaceArtikelText($ArtikelObject->beschreibung);
	}
	// Kategorien einlesen
	$ArtikelObject->kategorie_array = GetCMSKatgorieDataArray($ArtikelObject->id);

	foreach ($ArtikelObject->kategorie_array as $KategorieData) {
		$ArtikelObject->kategoriename_array[] = $KategorieData["name"];
	}

	// kleines Bild formatieren
	if ($ArtikelObject->smallImage && file_exists(DATEIPFAD . "/images/dbimages/" . $ArtikelObject->smallImage)) {
		$ImageSizeArray = getimagesize(DATEIPFAD . "/images/dbimages/" . $ArtikelObject->smallImage);
		$ArtikelObject->imagesmall_imagestring = "<img src=\"" . URLPFAD . "/images/dbimages/" . $ArtikelObject->smallImage . "\" width=\"" . $ImageSizeArray[0] . "\" height=\"" . $ImageSizeArray[1] . "\" border=\"0\" class=\"textBildFormat\">";
	}

	// grosses Bild formatieren
	if ($ArtikelObject->bigImage && file_exists(DATEIPFAD . "/images/dbimages/" . $ArtikelObject->bigImage)) {
		$ImageSizeArray = getimagesize(DATEIPFAD . "/images/dbimages/" . $ArtikelObject->bigImage);
		$ArtikelObject->imagebig_imagestring = "<img src=\"" . URLPFAD . "/images/dbimages/" . $ArtikelObject->bigImage . "\" width=\"" . $ImageSizeArray[0] . "\" height=\"" . $ImageSizeArray[1] . "\" border=\"0\">";

		// Adminausgabe
		$faktor = min(1, 150 / $ImageSizeArray[0], 150 / $ImageSizeArray[1]);
		$zielbreite = round($ImageSizeArray[0] * $faktor);
		$zielhoehe = round($ImageSizeArray[1] * $faktor);
		$ArtikelObject->imagebig_imagestring_admin = "<img src=\"" . URLPFAD . "/images/dbimages/" . $ArtikelObject->bigImage . "\" width=\"" . $zielbreite . "\" height=\"" . $zielhoehe . "\" border=\"0\">";

		$ArtikelObject->imagebig_width = $ImageSizeArray[0];
		$ArtikelObject->imagebig_height = $ImageSizeArray[1];
	}

	return $ArtikelObject;

}

// ********************************************************************************
// ** DeleteCMSArtikel
// ********************************************************************************
function DeleteCMSArtikel($ArtikelID) {

	// Artikeldaten l�schen
	$SQLString = "DELETE FROM " . TABLE_CMS . " WHERE id = '" . $ArtikelID . "'";
	$MySQLQuerryReferenz = errorlogged_mysql_query($SQLString);

	// Sprachdaten
	$SQLString = "DELETE FROM " . TABLE_CMS_LANGU . " WHERE artikel_id = '" . $ArtikelID . "'";
	$MySQLQuerryReferenz = errorlogged_mysql_query($SQLString);

	// Kategorien
	$SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIERELATION . " WHERE artikelid = '" . $ArtikelID . "'";
	$MySQLQuerryReferenz = errorlogged_mysql_query($SQLString);

		// Bilder l�schen
	$ImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_s*";
	unlink_wc(DATEIPFAD . "images/dbimages/", $ImageName . ".*");

	$ImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_b*";
	unlink_wc(DATEIPFAD . "images/dbimages/", $ImageName . ".*");

}

// ********************************************************************************
// ** GetCMSArtikelAnzahl
// ********************************************************************************
function GetCMSArtikelAnzahl($SearchField, $SearchString, $KundenEmail = "", $FilterHerstellerID = "", $FilterKategorieID = "", $FilterKategorieRekursive = "", $FilterKategorieDoppelt = 0, $FilterMerkmalkombinationen = "", $FilterAktiv = "", $FilterWunschzettel = 0, $OptionSearchAll = 0, $OptionSearchLike = 0, $LanguageID = 0, $shopID = false) {

//	echo '***** ***** ***** *****<br>';
//	echo '$SearchField: ' . $SearchField . "<br>";
//	echo '$SearchString: ' . $SearchString . "<br>";
//	echo '$KundenEmail: ' . $KundenEmail . "<br>";
//	echo '$FilterHerstellerID: ' . $FilterHerstellerID . "<br>";
//	echo '$FilterKategorieID: ' . $FilterKategorieID . "<br>";
//	echo '$FilterKategorieRekursive: ' . $FilterKategorieRekursive . "<br>";
//	echo '$FilterKategorieDoppelt: ' . $FilterKategorieDoppelt . "<br>";
//	echo '$FilterMerkmalkombinationen: ' . $FilterMerkmalkombinationen . "<br>";
//	echo '$FilterAktiv: ' . $FilterAktiv . "<br>";
//	echo '$FilterWunschzettel: ' . $FilterWunschzettel . "<br>";
//	echo '$OptionSearchAll: ' . $OptionSearchAll . "<br>";
//	echo '$OptionSearchLike: ' . $OptionSearchLike . "<br>";

    global $glShopID;

    if($shopID === false) {
        $shopID = $glShopID;
    }

    // Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	// ********************************************************************************
	// ** SQL-String zum einlesen der Artikelanzahl
	// ********************************************************************************

	// Felder
	$SQLString = "SELECT ";

	// Filter alle Kategorieeintr�ge
	if ($FilterKategorieDoppelt) {
		$SQLString .= "COUNT(" . TABLE_CMS . ".id) AS ArtikelAnzahl ";
	} else {
		$SQLString .= "COUNT(DISTINCT(" . TABLE_CMS . ".id)) AS ArtikelAnzahl ";
	}

	$SQLString .= "FROM " . TABLE_CMS . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIERELATION . " ON " . TABLE_CMS . ".id = " . TABLE_CMS_KATEGORIERELATION . ".artikelid ";

	// Filter alle Kategorieeintr�ge
	if ($FilterKategorieDoppelt) {
		$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE . " ON " . TABLE_CMS_KATEGORIERELATION . ".kategorieid = " . TABLE_CMS_KATEGORIE . ".id ";
	}
	
	$SQLString .= "LEFT JOIN " . TABLE_CMS_LANGU . " ON ((" . TABLE_CMS . ".id = " . TABLE_CMS_LANGU . ".artikel_id) AND (" . TABLE_CMS_LANGU . ".language_id = " . $LanguageID . ")) ";

	$SQLString .= " WHERE ( ";

	// Suche
	if (is_array($SearchField) && is_array($SearchString)) {

		// Volltextsuche
		if ($FeatureObject->volltextsuche) {

			if ($OptionSearchLike) {
				$SearchLike = "";
			} else {
				$SearchLike = "*";
			}

			if ($OptionSearchAll) {
				$SearchConnector = "AND ";
			} else {
				$SearchConnector = "OR ";
			}

			$SQLString .= "(";

			foreach ($SearchField as $SearchFieldKey => $SearchFieldValue) {

				$SearchStringArray = explode(" ", $SearchString[$SearchFieldKey]);

				$SearchStringAgainst = "";

				foreach ($SearchStringArray as $SearchStringElement) {

					$SearchStringAgainst .= $SearchLike . $SearchStringElement . $SearchLike . " ";

				}


				$SQLString .= "(MATCH (" . $SearchFieldValue . ") AGAINST ('" . $SearchStringAgainst . "' IN BOOLEAN MODE)) " . $SearchConnector;

				$SQLString = substr($SQLString, 0, strlen($SQLString) - strlen($SearchConnector));
				$SQLString .= " OR ";

			}

			$SQLString = substr($SQLString, 0, strlen($SQLString) - strlen($SearchConnector));
			$SQLString .= ") AND ";

		// normale Suche
		} else {

			if ($OptionSearchLike == 0) {
				$SearchLike = "";
			} else {
				$SearchLike = "%";
			}

//			if ($OptionSearchLike) {
//				$SearchLike = "";
//			} else {
//				$SearchLike = "%";
//			}

			if ($OptionSearchAll) {
				$SearchConnector = "AND ";
			} else {
				$SearchConnector = "OR ";
			}

			$SQLString .= "(";

			foreach ($SearchField as $SearchFieldKey => $SearchFieldValue) {

				if ($OptionSearchExact) {
					$SQLString .= "(" . $SearchFieldValue . " LIKE '" . $SearchLike . $SearchString[$SearchFieldKey] . $SearchLike . "') " . $SearchConnector;
				} else {

					$SearchStringArray = explode(" ", $SearchString[$SearchFieldKey]);

					foreach ($SearchStringArray as $SearchStringElement) {
						$SQLString .= "(" . $SearchFieldValue . " LIKE '" . $SearchLike . $SearchStringElement . $SearchLike . "') " . $SearchConnector;
					}

					$SQLString = substr($SQLString, 0, strlen($SQLString) - strlen($SearchConnector));
					$SQLString .= " OR ";

				}
			}

			$SQLString = substr($SQLString, 0, strlen($SQLString) - strlen($SearchConnector));
			$SQLString .= ") AND ";

		}

	} elseif ($SearchField && $SearchString) {
		$SQLString .= "(" . $SearchField . " LIKE '%" . $SearchString . "%') AND ";
	}

	// Filter Kategorie
	if ($FilterKategorieID && !$FilterKategorieRekursive) {

		$SQLString .= "(" . TABLE_CMS_KATEGORIERELATION . ".kategorieid = '" . $FilterKategorieID . "') AND ";

	} elseif ($FilterKategorieID && $FilterKategorieRekursive) {

		$KategorieArray[] = $FilterKategorieID;
		$KategorieArray = GetCMSKategorieIDs($FilterKategorieID, $KategorieArray);
		$SQLString .= "(" . TABLE_CMS_KATEGORIERELATION . ".kategorieid IN (" . implode(',', $KategorieArray) . ")) AND ";

	}

	// Filter Aktiv
	if ($FilterAktiv) {
		$SQLString .= "(" . TABLE_CMS . ".aktiv = '1') AND ";
	}

    if($shopID >= 0) {
        $SQLString .= TABLE_CMS . '.shop_id = ' . $shopID . ' AND ';
    }

    $SQLString .= " 1) ";

//	echo '$SQLString: ' . $SQLString . "<br>";

	$ArtikelAnzahlObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));

	return $ArtikelAnzahlObject->ArtikelAnzahl;

}

// ********************************************************************************
// ** GetCMSArtikelDataArray
// ** $SearchField
// ** $SearchString
// ** $SortField
// ** $SortOrder
// ** $DataOffset = ""
// ** $DataCount = ""
// ** $KundenEmail = ""
// ** $FilterKategorieID = 0
// ** $FilterKategorieRekursive = 0
// ** $FilterArtikelAbhaenigkeit = 0
// ** $FilterMerkmalkombinationen = 1
// ** $FilterAktiv = 0
// ** $FilterWunschzettel = 0
// ** $OptionVarianten = 0
// ********************************************************************************


function GetCMSArtikelDataArray($SearchField, $SearchString, $SortField, $SortOrder, $DataOffset = "", $DataCount = "", $KundenEmail = "", $FilterHerstellerID = 0, $FilterKategorieID = 0, $FilterKategorieRekursive = 0, $FilterKategorieDoppelt = 0, $FilterArtikelAbhaenigkeit = 0, $FilterMerkmalkombinationen = 1, $FilterAktiv = 0, $FilterWunschzettel = 0, $FilterBestseller = "", $OptionVarianten = 0, $OptionSearchAll = 0, $OptionSearchLike = 0, $LanguageID = 0, $FilterAktuellStartseite = 0, $shopID = false) {

//	echo "***** ***** ***** *****<br>";
//	echo '$SearchField: ' . $SearchField . "<br>";
//	echo '$SearchString: ' . $SearchString . "<br>";
//	echo '$SortField: ' . $SortField . "<br>";
//	echo '$SortOrder: ' . $SortOrder . "<br>";
// 	echo '$DataOffset: ' . $DataOffset . "<br>";
//	echo '$DataCount: ' . $DataCount . "<br>";
//	echo '$KundenEmail: ' . $KundenEmail . "<br>";
//	echo '$FilterHerstellerID: ' . $FilterHerstellerID . "<br>";
//	echo '$FilterKategorieID: ' . $FilterKategorieID . "<br>";
//	echo '$FilterKategorieRekursive: ' . $FilterKategorieRekursive . "<br>";
//	echo '$FilterKategorieDoppelt: ' . $FilterKategorieDoppelt . "<br>";
//	echo '$FilterArtikelAbhaenigkeit: ' . $FilterArtikelAbhaenigkeit . "<br>";
//	echo '$FilterMerkmalkombinationen: ' . $FilterMerkmalkombinationen . "<br>";
//	echo '$FilterAktiv: ' . $FilterAktiv . "<br>";
//	echo '$FilterWunschzettel: ' . $FilterWunschzettel . "<br>";
//	echo '$FilterBestseller: ' . $FilterBestseller . "<br>";
//	echo '$OptionVarianten: ' . $OptionVarianten . "<br>";
//	echo '$OptionSearchAll: ' . $OptionSearchAll . "<br>";
//	echo '$OptionSearchLike: ' . $OptionSearchLike . "<br>";
//	echo '$LanguageID: ' . $LanguageID . "<br>";


	// $OptionVarianten
	// 0 = keine Varianten einlesen
	// 1 = alle M�glichen Varianten als Array einlesen (abh�ngige von den ausgew�hlten Varianten des Artikels, der Merkmalauswahl und den Merkmalkombinationen)
	// 2 = nur bei Merkmalkombinationen die entsprechenden Merkmale auslesen

	global $kurzTextAusgabe;
	global $Suchdauer;
	global $c_landnichtuebersetzt;
    global $glShopID;

    if($shopID === false) {
        $shopID = $glShopID;
    }

	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	$StandardLanguageID = GetDefaultLanguageID();

	// ********************************************************************************
	// ** SQL-String zum einlesen der Artikel zusammensetzen
	// ********************************************************************************

	// Felder
	$SQLString = "SELECT DISTINCT ";
	$SQLString .= TABLE_CMS . ".id, ";
	$SQLString .= TABLE_CMS . ".artikel_nr, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_LANGU . ".artikel_name, TABLE_CMS_langu_standard.artikel_name) AS artikel_name, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_LANGU . ".artikel_name, '<i>" . $c_landnichtuebersetzt . "</i>') AS admin_artikel_name, ";
	$SQLString .= TABLE_CMS_LANGU . ".beschreibung, ";
	$SQLString .= "IF(" . TABLE_CMS . ".image_language_independent, TABLE_CMS_langu_standard.bigImage, " . TABLE_CMS_LANGU . ".bigImage) AS bigImage, ";
	$SQLString .= "IF(" . TABLE_CMS . ".image_language_independent, TABLE_CMS_langu_standard.smallImage, " . TABLE_CMS_LANGU . ".smallImage) AS smallImage, ";
	$SQLString .= TABLE_CMS . ".aktiv, ";

	// Filter alle Kategorieeintr�ge
	if ($FilterKategorieDoppelt) {
		$SQLString .= TABLE_CMS_KATEGORIE . ".name AS kategoriename, ";
		$SQLString .= TABLE_CMS_KATEGORIE . ".id AS kategorieid, ";
	}
	
	$SQLString .= TABLE_CMS . ".aktuellartikel ";

	$SQLString .= "FROM " . TABLE_CMS . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_LANGU . " ON ((" . TABLE_CMS . ".id = " . TABLE_CMS_LANGU . ".artikel_id) AND (" . TABLE_CMS_LANGU . ".language_id = " . $LanguageID . ")) ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_LANGU . " TABLE_CMS_langu_standard ON ((" . TABLE_CMS . ".id = TABLE_CMS_langu_standard.artikel_id) AND (TABLE_CMS_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIERELATION . " ON " . TABLE_CMS . ".id = " . TABLE_CMS_KATEGORIERELATION . ".artikelid ";

	// Artikelabh�ngigkeit
	if ($FilterArtikelAbhaenigkeit) {
		$SQLString .= "LEFT JOIN " . TABLE_CMS_AB . " ON " . TABLE_CMS . ".id = " . TABLE_CMS_AB . ".abartikelid ";
	}

	// Filter alle Kategorieeintr�ge
	if ($FilterKategorieDoppelt) {
		$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE . " ON " . TABLE_CMS_KATEGORIERELATION . ".kategorieid = " . TABLE_CMS_KATEGORIE . ".id ";
	}

	$SQLString .= " WHERE ( ";

	// Suche
	if (is_array($SearchField) && is_array($SearchString)) {

		$Zeitmessung = true;

		// Volltextsuche
		if ($FeatureObject->volltextsuche) {

			if ($OptionSearchLike) {
				$SearchLike = "";
			} else {
				$SearchLike = "*";
			}

			if ($OptionSearchAll) {
				$SearchConnector = "AND ";
			} else {
				$SearchConnector = "OR ";
			}

			$SQLString .= "(";

			foreach ($SearchField as $SearchFieldKey => $SearchFieldValue) {

				$SearchStringArray = explode(" ", $SearchString[$SearchFieldKey]);

				$SearchStringAgainst = "";

				foreach ($SearchStringArray as $SearchStringElement) {

					$SearchStringAgainst .= $SearchLike . $SearchStringElement . $SearchLike . " ";

				}


				$SQLString .= "(MATCH (" . $SearchFieldValue . ") AGAINST ('" . $SearchStringAgainst . "' IN BOOLEAN MODE)) " . $SearchConnector;

				$SQLString = substr($SQLString, 0, strlen($SQLString) - strlen($SearchConnector));
				$SQLString .= " OR ";

			}

			$SQLString = substr($SQLString, 0, strlen($SQLString) - strlen($SearchConnector));
			$SQLString .= ") AND ";

		// normale Suche
		} else {

			if ($OptionSearchLike == 0) {
				$SearchLike = "";
			} else {
				$SearchLike = "%";
			}

//			if ($OptionSearchLike) {
//				$SearchLike = "";
//			} else {
//				$SearchLike = "%";
//			}

			if ($OptionSearchAll) {
				$SearchConnector = "AND ";
			} else {
				$SearchConnector = "OR ";
			}

			$SQLString .= "(";

			foreach ($SearchField as $SearchFieldKey => $SearchFieldValue) {

				if ($OptionSearchExact) {
					$SQLString .= "(" . $SearchFieldValue . " LIKE '" . $SearchLike . $SearchString[$SearchFieldKey] . $SearchLike . "') " . $SearchConnector;
				} else {

					$SearchStringArray = explode(" ", $SearchString[$SearchFieldKey]);

					foreach ($SearchStringArray as $SearchStringElement) {
						$SQLString .= "(" . $SearchFieldValue . " LIKE '" . $SearchLike . $SearchStringElement . $SearchLike . "') " . $SearchConnector;
					}

					$SQLString = substr($SQLString, 0, strlen($SQLString) - strlen($SearchConnector));
					$SQLString .= " OR ";

				}

			}

			$SQLString = substr($SQLString, 0, strlen($SQLString) - strlen($SearchConnector));
			$SQLString .= ") AND ";

		}

	} elseif ($SearchField && $SearchString) {

		$SQLString .= "(" . $SearchField . " LIKE '%" . $SearchString . "%') AND ";

	}

	// Filter Kategorie
	if ($FilterKategorieID && !$FilterKategorieRekursive) {

		$SQLString .= "(" . TABLE_CMS_KATEGORIERELATION . ".kategorieid = '" . $FilterKategorieID . "') AND ";

	} elseif ($FilterKategorieID && $FilterKategorieRekursive) {

		$KategorieArray[] = $FilterKategorieID;
		$KategorieArray = GetCMSKategorieIDs($FilterKategorieID, $KategorieArray);
		$SQLString .= "(" . TABLE_CMS_KATEGORIERELATION . ".kategorieid IN (" . implode(',', $KategorieArray) . ")) AND ";

	}

	// Filter Artikelabh�ngigkeit
	if ($FilterArtikelAbhaenigkeit) {
		$SQLString .= "(" . TABLE_CMS_AB . ".artikelid = '" . $FilterArtikelAbhaenigkeit . "') AND ";
	}

	// Filter Aktiv
	if ($FilterAktiv) {
		$SQLString .= "(" . TABLE_CMS . ".aktiv = '1') AND ";
	}

	// Filter Aktiv
	if ($FilterAktuellStartseite) {
		$SQLString .= "(" . TABLE_CMS . ".aktuellartikel = '1') AND ";
	}

    if($shopID >= 0) {
        $SQLString .= TABLE_CMS . '.shop_id = ' . $shopID . ' AND ';
    }

    $SQLString .= " 1) ";

	// Sortierung
	if ($SortField && $SortOrder) {
		$SQLString .= "ORDER BY " . $SortField . " " . $SortOrder . " ";
	}

	// Limit
	if ((string)$DataOffset != "" && (string)$DataCount != "") {
		$SQLString .= "LIMIT " . $DataOffset . ", " . $DataCount . " ";
	}

//	echo '$SQLString: ' . $SQLString . "<br>";

	// Zeitmessung
	if (isset($Zeitmessung)) {
		$MicrotimeArray = explode(" ", microtime());
		$MicrotimeStart = (float)$MicrotimeArray[0] + (float)$MicrotimeArray[1];
	}

	$MySQLQueryReferenz = errorlogged_mysql_query($SQLString);

	// Zeitmessung
	if (isset($Zeitmessung)) {
		$MicrotimeArray = explode(" ", microtime());
		$MicrotimeAfterMySQLQuery = (float)$MicrotimeArray[0] + (float)$MicrotimeArray[1];	;
	}

	// ********************************************************************************
	// ** die Artikeldaten in ein Array ablegen
	// ********************************************************************************

	$ArtikelCounter = 0;
	$ArtikelDataArray = array();

	while ($ArtikelRowArray = mysqli_fetch_array($MySQLQueryReferenz, MYSQLI_ASSOC)) {

		// Daten f�r die Ausgabe formatieren
		$ArtikelDataArray[$ArtikelCounter]["id"] = $ArtikelRowArray["id"];
		$ArtikelDataArray[$ArtikelCounter]["artikelnummer"] = $ArtikelRowArray["artikel_nr"];
		$ArtikelDataArray[$ArtikelCounter]["artikelname"] = $ArtikelRowArray["artikel_name"];
		$ArtikelDataArray[$ArtikelCounter]["admin_artikelname"] = $ArtikelRowArray["admin_artikel_name"];
//		$ArtikelDataArray[$ArtikelCounter]["kategoriename"] = $ArtikelRowArray["kategoriename"];
//		$ArtikelDataArray[$ArtikelCounter]["kategorieid"] = $ArtikelRowArray["kategorieid"];
		$ArtikelDataArray[$ArtikelCounter]["aktiv"] = $ArtikelRowArray["aktiv"];
		$ArtikelDataArray[$ArtikelCounter]["onlinestatus"] = $ArtikelRowArray["aktiv"];
		$ArtikelDataArray[$ArtikelCounter]["languagearray"] = GetCMSArtikelLanguageDataArray($ArtikelRowArray["id"]);

		// kleines Bild formatieren
		if ($ArtikelRowArray["smallImage"] && file_exists(DATEIPFAD . "/images/dbimages/" . $ArtikelRowArray["smallImage"])) {
			$ImageSizeArray = getimagesize(DATEIPFAD . "/images/dbimages/" . $ArtikelRowArray["smallImage"]);
			$ArtikelDataArray[$ArtikelCounter]["imagesmall_imagestring"] = "<img src=\"" . IMAGEPFAD . "dbimages/" . $ArtikelRowArray["smallImage"] . "\" width=\"" . $ImageSizeArray[0] . "\" height=\"" . $ImageSizeArray[1] . "\" class=\"textBildFormat\">";
		}

		// kleines Bild fuer Crosselling formatieren
		if ($ArtikelRowArray["smallImage"] && file_exists(DATEIPFAD . "/images/dbimages/" . $ArtikelRowArray["smallImage"])) {
			$ImageSizeArray = getimagesize(DATEIPFAD . "/images/dbimages/" . $ArtikelRowArray["smallImage"]);
			$ArtikelDataArray[$ArtikelCounter]["imagesmall_imagestring"] = "<img src=\"" . IMAGEPFAD . "dbimages/" . $ArtikelRowArray["smallImage"] . "\" width=\"" . $ImageSizeArray[0] . "\" height=\"" . $ImageSizeArray[1] . "\" class=\"textBildFormat\">";
			$faktor = min(1, 60 / $ImageSizeArray[0], 60 / $ImageSizeArray[1]);
			$zielbreite = round($ImageSizeArray[0] * $faktor);
			$zielhoehe = round($ImageSizeArray[1] * $faktor);
			$ArtikelDataArray[$ArtikelCounter]["imagesmall_imagestring2"] = "<img src=\"" . IMAGEPFAD . "dbimages/" . $ArtikelRowArray["smallImage"] . "\" width=\"" . $zielbreite . "\" height=\"" . $zielhoehe . "\" border=\"0\">";
		}


		// gro�es Bild formatieren
		if ($ArtikelRowArray["bigImage"] && file_exists(DATEIPFAD . "/images/dbimages/" . $ArtikelRowArray["bigImage"])) {
			$ImageSizeArray = getimagesize(DATEIPFAD . "/images/dbimages/" . $ArtikelRowArray["bigImage"]);
			$ArtikelDataArray[$ArtikelCounter]["imagebig_imagestring"] = "<img src=\"" . IMAGEPFAD . "dbimages/" . $ArtikelRowArray["bigImage"] . "\" width=\"" . $ImageSizeArray[0] . "\" height=\"" . $ImageSizeArray[1] . "\" border=\"0\">";
		}

		// Aktivimage
		if ($ArtikelRowArray["aktiv"]) {
			$ArtikelDataArray[$ArtikelCounter]["aktiv_imagestring"] = "<img src=\"../images/on.gif\" width=\"20\" height=\"12\" border=\"0\">";
		} else {
			$ArtikelDataArray[$ArtikelCounter]["aktiv_imagestring"] = "<img src=\"../images/off.gif\" width=\"21\" height=\"12\" border=\"0\">";
		}

		$ArtikelDataArray[$ArtikelCounter]["beschreibung"] = ReplaceArtikelText($ArtikelRowArray["beschreibung"]);
	
		
		// Aktuelle Artikel
		if ($ArtikelRowArray["aktuellartikel"]) {
			$ArtikelDataArray[$ArtikelCounter]["aktuellartikel_imagestring"] = "<img src=\"../images/haeckchen_klein.gif\" width=\"13\" height=\"13\" border=\"0\">";
		} else {
			$ArtikelDataArray[$ArtikelCounter]["aktuellartikel_imagestring"] = "<img src=\"../images/startseite_nein.gif\" width=\"13\" height=\"13\" border=\"0\">";
		}

		// Kategorien einlesen
		$ArtikelDataArray[$ArtikelCounter]["kategorie_array"] = GetCMSKatgorieDataArray($ArtikelRowArray["id"], $LanguageID);

		foreach ($ArtikelDataArray[$ArtikelCounter]["kategorie_array"] as $KategorieData) {
			$ArtikelDataArray[$ArtikelCounter]["kategoriename_array"][] = $KategorieData["name"];
		}
		
		if(isset($ArtikelDataArray[$ArtikelCounter]["kategorie_array"][0]["id"])) {
			if ($ArtikelDataArray[$ArtikelCounter]["kategorie_array"][0]["id"] && !$FilterKategorieDoppelt) {
				$ArtikelDataArray[$ArtikelCounter]["kategorieid"] = $ArtikelDataArray[$ArtikelCounter]["kategorie_array"][0]["id"];
			}
		}
		
		$ArtikelCounter++;
	}

	// Zeitmessung
	if (isset($Zeitmessung)) {
		$MicrotimeArray = explode(" ", microtime());
		$MicrotimeAfterDataPrepare = (float)$MicrotimeArray[0] + (float)$MicrotimeArray[1];	;

		$Suchdauer = ($MicrotimeAfterMySQLQuery - $MicrotimeStart);
	}



	

	return $ArtikelDataArray;

}



function SaveCMSArtikelKategorie($ArtikelID, $SelectedKategorieArray) {

	// alte Zuordnungen l�schen
	$SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIERELATION . " WHERE artikelid = '" . $ArtikelID . "'";
	$QueryReference = errorlogged_mysql_query($SQLString);

	// neue Zuordnungen speichern
	if ($SelectedKategorieArray) {
		foreach ($SelectedKategorieArray as $SelectedKategorie) {

			$SQLString = "INSERT INTO " . TABLE_CMS_KATEGORIERELATION . " SET ";
			$SQLString .= "artikelid = '" . $ArtikelID . "', ";
			$SQLString .= "kategorieid = '" . $SelectedKategorie . "'";
			
			//echo $SQLString;
			
			$QueryReference = errorlogged_mysql_query($SQLString);

		}
	}

}



function GetCMSArtikelKategorieDataArray($KategorieID, $Rekursiv, $Anzahl) {

	// die IDs der Kategorien ermitteln
	if ($Rekursiv) {

		$KategorieIDInString = implode(',', GetCMSKategorieIDs($KategorieID, ""));

	} else {

		$KategorieIDInString = $KategorieID;

	}

	// Die Artikel Abfragen
	//$SQLString = "SELECT DISTINCT " . TABLE_CMS . ".*, " . TABLE_CMS_KATEGORIE . ".name AS kategoriename, " . TABLE_CMS_KATEGORIE . ".id AS kategorieid FROM " . TABLE_CMS . " LEFT JOIN " . TABLE_CMS_KATEGORIERELATION . " ON " . TABLE_CMS . ".id = " . TABLE_CMS_KATEGORIERELATION . ".artikelid LEFT JOIN " . TABLE_CMS_KATEGORIE . " ON " . TABLE_CMS_KATEGORIERELATION . ".kategorieid = " . TABLE_CMS_KATEGORIE . ".id WHERE " . TABLE_CMS_KATEGORIERELATION . ".kategorieid IN (" . $KategorieIDInString . ") AND " . TABLE_CMS . ".aktiv = '1' ORDER BY " . TABLE_CMS . ".datum DESC LIMIT 0," . $Anzahl;
	$SQLString = "SELECT DISTINCT " . TABLE_CMS . ".* FROM " . TABLE_CMS . " LEFT JOIN " . TABLE_CMS_KATEGORIERELATION . " ON " . TABLE_CMS . ".id = " . TABLE_CMS_KATEGORIERELATION . ".artikelid LEFT JOIN " . TABLE_CMS_KATEGORIE . " ON " . TABLE_CMS_KATEGORIERELATION . ".kategorieid = " . TABLE_CMS_KATEGORIE . ".id WHERE " . TABLE_CMS_KATEGORIERELATION . ".kategorieid IN (" . $KategorieIDInString . ") AND " . TABLE_CMS . ".aktiv = '1' ORDER BY " . TABLE_CMS . ".datum DESC LIMIT 0," . $Anzahl;
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	while ($RowArray = mysqli_fetch_array($MySQLQueryReference)) {

		// Kategorie einlesen
		$SQLString = "SELECT " . TABLE_CMS_KATEGORIE . ".id as kategorieid, " . TABLE_CMS_KATEGORIE . ".name as kategoriename FROM " . TABLE_CMS_KATEGORIE . " LEFT JOIN " . TABLE_CMS_KATEGORIERELATION . " ON " . TABLE_CMS_KATEGORIERELATION . ".kategorieid = " . TABLE_CMS_KATEGORIE . ".id WHERE " . TABLE_CMS_KATEGORIERELATION . ".artikelid = '" . $RowArray["id"] . "' ORDER BY " . TABLE_CMS_KATEGORIE . ".name LIMIT 0,1";
		$KategorieObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));

		$RowArray["kategorieid"] = $KategorieObject->kategorieid;
		$RowArray["kategoriename"] = $KategorieObject->kategoriename;

		$ResultDataArray[] = $RowArray;

	}


	return $ResultDataArray;

}



// ********************************************************************************
// ** Speichern von weiteren Bildern
// ********************************************************************************
function SaveCMSArtikelBilder($ArtikelID, $ImageSmallArray, $ImageBigArray) {

	// ********************************************************************************
	// ** Daten speichern
	// ********************************************************************************
	$SQLString = "INSERT INTO " . TABLE_CMS_BILDER . " SET ";
	$SQLString .= TABLE_CMS_BILDER . ".artikel_id = '" . $ArtikelID . "' ";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	$ArtikelBildID = $GLOBALS['db']->insert_id;

	// ********************************************************************************
	// ** Bilder auswerten
	// ********************************************************************************

	// kleines Bild
	if ($ImageSmallArray["size"] > 0) {
		$NewImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_".$ArtikelBildID."_s";

		// altes Bild l�schen
		unlink_wc(DATEIPFAD . "images/dbimages/", $NewImageName . ".*");

		// tempor�re Datei kopieren
		$TempNameArray = explode(".", $ImageSmallArray["name"]);
		$NewImageName = $NewImageName . "." . $TempNameArray[count($TempNameArray) - 1];
		move_uploaded_file($ImageSmallArray["tmp_name"], DATEIPFAD . "images/dbimages/" . $NewImageName);
		chmod(DATEIPFAD . "images/dbimages/" . $NewImageName, 0777);

		// Datenbank updaten
		$SQLString = "UPDATE " . TABLE_CMS_BILDER . " SET ";
		$SQLString .= TABLE_CMS_BILDER . ".smallImage  = '" . $NewImageName . "' ";
		$SQLString .= " WHERE " . TABLE_CMS_BILDER . ".imageid = '" . $ArtikelBildID . "'";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

	// gro�es Bild
	if ($ImageBigArray["size"] > 0) {

		$NewImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_".$ArtikelBildID."_b";

		// altes Bild l�schen
		unlink_wc(DATEIPFAD . "images/dbimages/", $NewImageName . ".*");

		// tempor�re Datei kopieren
		$TempNameArray = explode(".", $ImageBigArray["name"]);
		$NewImageName = $NewImageName . "." . $TempNameArray[count($TempNameArray) - 1];
		move_uploaded_file($ImageBigArray["tmp_name"], DATEIPFAD . "images/dbimages/" . $NewImageName);

		// Datenbank updaten
		$SQLString = "UPDATE " . TABLE_CMS_BILDER . " SET ";
		$SQLString .= TABLE_CMS_BILDER . ".bigImage  = '" . $NewImageName . "' ";
		$SQLString .= " WHERE " . TABLE_CMS_BILDER . ".imageid = '" . $ArtikelBildID . "'";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

	return $ArtikelID;

}


function getCMSArtikelBilderDataArray($ArtikelID) {

	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_BILDER.".imageid, ";
	$SQLString .= TABLE_CMS_BILDER.".artikel_id, ";
	$SQLString .= TABLE_CMS_BILDER.".smallImage, ";
	$SQLString .= TABLE_CMS_BILDER.".bigImage ";
	$SQLString .= "FROM " . TABLE_CMS_BILDER . " ";
	$SQLString .= "WHERE ".TABLE_CMS_BILDER.".artikel_id = '" . $ArtikelID ."' ORDER by ".TABLE_CMS_BILDER.".imageid";

	//echo '$SQLString: ' . $SQLString;

	$ArtikelQueryReference = errorlogged_mysql_query($SQLString);

	$ArtikelBildCounter = 0;
	$ArtikelBildDataArray = array();

	while($artikelBildRow = mysqli_fetch_array($ArtikelQueryReference, MYSQLI_ASSOC))
	{
		$ArtikelBildDataArray[$ArtikelBildCounter]["imageid"] = $artikelBildRow["imageid"];
		$ArtikelBildDataArray[$ArtikelBildCounter]["artikel_id"] = $artikelBildRow["artikel_id"];
		$ArtikelBildDataArray[$ArtikelBildCounter]["smallImage"] = $artikelBildRow["smallImage"];
		$ArtikelBildDataArray[$ArtikelBildCounter]["bigImage"] = $artikelBildRow["bigImage"];

		// kleines Bild formatieren
		if ($artikelBildRow["smallImage"] && file_exists(DATEIPFAD . "/images/dbimages/" . $artikelBildRow["smallImage"])) {
			$ImageSizeArray = getimagesize(DATEIPFAD . "/images/dbimages/" . $artikelBildRow["smallImage"]);
			$ArtikelBildDataArray[$ArtikelBildCounter]["imagesmall_imagestring"] = "<span class=\"artikelDetailBilder\"><img src=\"" . URLPFAD . "/images/dbimages/" . $artikelBildRow["smallImage"] . "\" width=\"" . $ImageSizeArray[0] . "\" height=\"" . $ImageSizeArray[1] . "\" border=\"0\"></span>";
		}

		// grosses Bild formatieren
		if ($artikelBildRow["bigImage"] && file_exists(DATEIPFAD . "/images/dbimages/" . $artikelBildRow["bigImage"])) {
			$ImageSizeArray = getimagesize(DATEIPFAD . "/images/dbimages/" . $artikelBildRow["bigImage"]);
			$ArtikelBildDataArray[$ArtikelBildCounter]["imagebig_imagestring"] = "<img src=\"" . URLPFAD . "/images/dbimages/" . $artikelBildRow["bigImage"] . "\" width=\"" . $ImageSizeArray[0] . "\" height=\"" . $ImageSizeArray[1] . "\" border=\"0\">";
			$ArtikelBildDataArray[$ArtikelBildCounter]["imagebig_width"] = $ImageSizeArray[0];
			$ArtikelBildDataArray[$ArtikelBildCounter]["imagebig_height"] = $ImageSizeArray[1];
		}

		$ArtikelBildCounter++;
	}

	return $ArtikelBildDataArray;
}



function deleteMoreCMSImages($ArtikelBildID, $ArtikelID) {

	$ImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_".$ArtikelBildID."_s";
	unlink_wc(DATEIPFAD . "images/dbimages/", $ImageName . ".*");

	$ImageName = "cms_" . sprintf("%07d", $ArtikelID) . "_".$ArtikelBildID."_b";
	unlink_wc(DATEIPFAD . "images/dbimages/", $ImageName . ".*");

	// Banner
	$SQLString = "DELETE FROM " . TABLE_CMS_BILDER . " WHERE imageid = '" . $ArtikelBildID . "'";
	$MySQLQuerryReferenz = errorlogged_mysql_query($SQLString);
}





function GetSelectedCMSKategorieList($ArtikelID) {

	if ($ArtikelID) {
	
		// SQL-String zum einlesen der ersten Ebene der Kategorien
		$SQLString = "SELECT ";
		$SQLString .= TABLE_CMS_KATEGORIERELATION . ".artikelid, ";
		$SQLString .= TABLE_CMS_KATEGORIERELATION . ".kategorieid ";
		$SQLString .= " FROM " . TABLE_CMS_KATEGORIERELATION;
		$SQLString .= " WHERE " . TABLE_CMS_KATEGORIERELATION . ".artikelid = '" . $ArtikelID . "'";
		
		// Daten abfragen und in ein Array legen
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);
		
		while ($SelectedKategorieRow = mysqli_fetch_array($MySQLQueryReference, MYSQLI_ASSOC)) {
			
			$SelectedKategorieArray[$SelectedKategorieRow["kategorieid"]] = $SelectedKategorieRow["kategorieid"];
	
		}
	
	} elseif($_SESSION["katid"]) {

		foreach ($_SESSION["katid"] as $KatID) {
			$SelectedKategorieArray[$KatID] = $KatID;			
		}
		
	}
		
//		echo "<pre>";
//		var_dump($SelectedKategorieArray);
//		echo "</pre>";

	return $SelectedKategorieArray;
	
}


function CMSKategorieunlink_wc($dir, $pattern){
   
   if ($dh = opendir($dir)) { 
       
       //List and put into an array all files
       while (false !== ($file = readdir($dh))){
           if ($file != "." && $file != "..") {
               $files[] = $file;
           }
       }
       closedir($dh);
       
       
       //Split file name and extenssion
       if(strpos($pattern,".")) {
           $baseexp=substr($pattern,0,strpos($pattern,"."));
           $typeexp=substr($pattern,strpos($pattern,".")+1,strlen($pattern));
       }else{ 
           $baseexp=$pattern;
           $typeexp="";
       } 
       
       //Escape all regexp Characters 
       $baseexp=preg_quote($baseexp); 
       $typeexp=preg_quote($typeexp); 
       
       // Allow ? and *
       $baseexp=str_replace(array("\*","\?"), array(".*","."), $baseexp);
       $typeexp=str_replace(array("\*","\?"), array(".*","."), $typeexp);
       
       //Search for pattern match
       $i=0;
     	if($files){
	       foreach($files as $file) {
	           $filename=basename($file);
	           if(strpos($filename,".")) {
	               $base=substr($filename,0,strpos($filename,"."));
	               $type=substr($filename,strpos($filename,".")+1,strlen($filename));
	           }else{
	               $base=$filename;
	               $type="";
	           }
	       
	           if(preg_match("/^".$baseexp."$/i",$base) && preg_match("/^".$typeexp."$/i",$type))  {
	               $matches[$i]=$file;
	               $i++;
	           }
	       }
     	}
       if ($matches) {
	       while(list($idx,$val) = each($matches)){
	           if (substr($dir,-1) == "/"){
	               unlink($dir.$val);
	           }else{
	               unlink($dir."/".$val);
	           }
	       }
		}
       
   }
}


function GetCMSKategorieDetail($KategorieID, $LanguageID = 0) {
	
    //debug_print_backtrace();
    
	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	$StandardLanguageID = GetDefaultLanguageID();

	// SQL-String zum einlsen der Kategorien aufbauen
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".position, ";
	$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".name, ";
    $SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".url_name, ";
    $SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".url_name_vorgabe, ";
	$SQLString .= "TABLE_CMS_KATEGORIE_langu_standard.name AS standard_name, ";
	$SQLString .= "IF(" . TABLE_CMS_KATEGORIE . ".language_independent, TABLE_CMS_KATEGORIE_langu_standard.smallimage, " . TABLE_CMS_KATEGORIE_LANGU . ".smallimage) AS smallimage, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".language_independent, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".sort, ";
    $SQLString .= TABLE_CMS_KATEGORIE . ".shop_id ";
	$SQLString .= " FROM " . TABLE_CMS_KATEGORIE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" .TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "'))";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " TABLE_CMS_KATEGORIE_langu_standard ON ((" . TABLE_CMS_KATEGORIE . ".id = TABLE_CMS_KATEGORIE_langu_standard.kategorie_id) AND (TABLE_CMS_KATEGORIE_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= " WHERE " . TABLE_CMS_KATEGORIE . ".id = '" . $KategorieID . "'";
	//echo $SQLString;
	// Daten abfragen 
    
    $KategorieObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
    if($KategorieObject) {
        $KategorieObject->subCategories = GetCMSKategorieList($KategorieID,1,0,$LanguageID);
    } 
	
	return $KategorieObject;

}


function GetCMSKategorieList($ParentID = 0, $Aktiv = 0, $KategorieSort, $LanguageID = 0, $shopID = false) {

	global $a_online, $a_deaktiv, $c_landnichtuebersetzt;
    global $glShopID;

    if($shopID === false) {
        $shopID = $glShopID;
    }

	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	$StandardLanguageID = GetDefaultLanguageID();

	// SQL-String zum einlesen der ersten Ebene der Kategorien
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".sort, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name, TABLE_CMS_KATEGORIE_langu_standard.name) AS name, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name, '<i>" . $c_landnichtuebersetzt . "</i>') AS admin_name, ";
	$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".smallImage ";
	$SQLString .= " FROM " . TABLE_CMS_KATEGORIE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" .TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "'))";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " TABLE_CMS_KATEGORIE_langu_standard ON ((" . TABLE_CMS_KATEGORIE . ".id = TABLE_CMS_KATEGORIE_langu_standard.kategorie_id) AND (TABLE_CMS_KATEGORIE_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= " WHERE " . TABLE_CMS_KATEGORIE . ".parentid = '" . $ParentID . "'";
	
	if ($Aktiv) {
		$SQLString .= " AND " . TABLE_CMS_KATEGORIE . ".aktiv = 1 ";
	}

    if($shopID >= 0) {
        $SQLString .= ' AND ' . TABLE_CMS_KATEGORIE . '.shop_id = ' . $shopID;
    }

    if ($KategorieSort) {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE_LANGU . ".name";
	} else {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE . ".sort";
	}
	
	// Daten abfragen und in ein Array legen
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	while ($KategorieRow = mysqli_fetch_array($MySQLQueryReference, MYSQLI_ASSOC)) {

        $KategorieCounter = (isset($KategorieArray)?count($KategorieArray):0);
		$KategorieArray[$KategorieCounter] = $KategorieRow;
		$KategorieArray[$KategorieCounter]["level"] = 1;
		$KategorieArray[$KategorieCounter]["languagearray"] = GetCMSKategorieLanguageDataArray($KategorieRow["id"]);
		
		$KategorieArray = GetCMSKategorieNode($KategorieRow["id"], 1, $KategorieArray, $Aktiv, $KategorieSort, $LanguageID);
		
		// wenn es Untermenues gibt, dies sichern
		if (($KategorieCounter + 1) < count($KategorieArray)) {
			$KategorieArray[$KategorieCounter]["submenue"] = 1;
		} else {
			$KategorieArray[$KategorieCounter]["submenue"] = 0;
		}

		// Aktiv
		if ($KategorieRow["aktiv"] == 1) {
			$KategorieArray[$KategorieCounter]["tpl_aktivtext"] = $a_online;
		} else {
			$KategorieArray[$KategorieCounter]["tpl_aktivtext"] = $a_deaktiv;
		}
	
	}
	
//	echo "<pre>";
//	var_dump($KategorieArray);
//	echo "</pre>";
	
	return $KategorieArray;
	
}


function GetCMSKategorieLanguageDataArray($KategorieID) {
	
	// Sprachen Abfragen
	$SQLString = "SELECT ";
	$SQLString .= TABLE_LANGUAGE . ".language_id, ";
	$SQLString .= "IF(ISNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name), " . TABLE_LANGUAGE . ".language_image_admintool_inactive, " . TABLE_LANGUAGE . ".language_image_admintool_active) AS language_image_admintool, ";
	$SQLString .= "IF(ISNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name), " . TABLE_LANGUAGE . ".language_image_admintool_inactive_width, " . TABLE_LANGUAGE . ".language_image_admintool_active_width) AS language_image_admintool_width, ";
	$SQLString .= "IF(ISNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name), " . TABLE_LANGUAGE . ".language_image_admintool_inactive_height, " . TABLE_LANGUAGE . ".language_image_admintool_active_height) AS language_image_admintool_height ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_LANGUAGE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" . TABLE_LANGUAGE . ".language_id = " . TABLE_CMS_KATEGORIE_LANGU . ".language_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id = '" . $KategorieID . "')) ";
	
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	$LanguageCounter = 0;
	
	while ($KategorieLanguageRow = mysqli_fetch_array($MySQLQueryReference)) {
		$KategorieLanguageDataArray[$LanguageCounter]["language_image_admintool_imagestring"] = "<img src=\"" . IMAGEPFAD . "dbimages/" . $KategorieLanguageRow["language_image_admintool"] . "\" border=\"0\">";
		$KategorieLanguageDataArray[$LanguageCounter]["language_id"] = $KategorieLanguageRow["language_id"];
		$LanguageCounter++;
	}
	
	return $KategorieLanguageDataArray;

}


function GetCMSKategorieNode($KategorieID, $Level, $KategorieArray, $Aktiv = 0, $KategorieSort, $LanguageID = 0) {

	global $a_online, $a_deaktiv, $c_landnichtuebersetzt;

	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	$StandardLanguageID = GetDefaultLanguageID();

	// SQL-String zum einlesen der ersten Ebene der Kategorien
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".sort, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name, TABLE_CMS_KATEGORIE_langu_standard.name) AS name, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name, '<i>" . $c_landnichtuebersetzt . "</i>') AS admin_name, ";
	$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".smallImage ";
	$SQLString .= " FROM " . TABLE_CMS_KATEGORIE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" .TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "'))";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " TABLE_CMS_KATEGORIE_langu_standard ON ((" . TABLE_CMS_KATEGORIE . ".id = TABLE_CMS_KATEGORIE_langu_standard.kategorie_id) AND (TABLE_CMS_KATEGORIE_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= " WHERE " . TABLE_CMS_KATEGORIE . ".parentid = '" . $KategorieID . "'";

	if ($Aktiv) {
		$SQLString .= " AND " . TABLE_CMS_KATEGORIE . ".aktiv = 1 ";
	}

	if ($KategorieSort) {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE_LANGU . ".name";
	} else {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE . ".sort";
	}
	
	// Daten abfragen und in ein Array legen
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	while ($KategorieRow = mysqli_fetch_array($MySQLQueryReference, MYSQLI_ASSOC)) {
		
		$KategorieCounter = count($KategorieArray);
		$KategorieArray[$KategorieCounter] = $KategorieRow;
		$KategorieArray[$KategorieCounter]["level"] = $Level + 1;
		$KategorieArray[$KategorieCounter]["languagearray"] = GetCMSKategorieLanguageDataArray($KategorieRow["id"]);

		$KategorieArray = GetCMSKategorieNode($KategorieRow["id"], $Level + 1, $KategorieArray, $Aktiv, $KategorieSort, $LanguageID);

		// wenn es Untermenues gibt, dies sichern
		if (($KategorieCounter + 1) < count($KategorieArray)) {
			$KategorieArray[$KategorieCounter]["submenue"] = 1;
		} else {
			$KategorieArray[$KategorieCounter]["submenue"] = 0;
		}

		// Aktiv
		if ($KategorieRow["aktiv"] == 1) {
			$KategorieArray[$KategorieCounter]["tpl_aktivtext"] = $a_online;
		} else {
			$KategorieArray[$KategorieCounter]["tpl_aktivtext"] = $a_deaktiv;
		}

	}
	
	return $KategorieArray;
	
}


function GetCMSKategoriePathString($KategorieID, $ParentID) {
	

	$KategoriePathArray = array_reverse(GetCMSKategoriePathArray($KategorieID, NULL,$_SESSION["languageid"]));

	foreach ($KategoriePathArray as $KategoriePathElement) {
		
		$KategoriePathString .= "<a href=\"" . URLPFAD . "cms/kategorie/index.php?katid=" . $KategoriePathElement["id"] . "&amp;parentid=" . $ParentID . "\">" . $KategoriePathElement["name"] . "</a> / ";
		
	}
	
	$KategoriePathString = substr($KategoriePathString, 0, (strlen($KategoriePathString) - 3));
	
	return $KategoriePathString;
	
}

function GetCMSKategorieIDs($KategorieID, $KategorieIDArray) {

	// Alle Kategorien einlesen, die unter der angegebenen sind.
	$SQLString = "SELECT * FROM " . TABLE_CMS_KATEGORIE . " WHERE parentid = '" . $KategorieID . "'";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	while ($KategorieObject = mysqli_fetch_object($MySQLQueryReference)) {
	
		$KategorieIDArray[] = $KategorieObject->id;
		$KategorieIDArray = GetCMSKategorieIDs($KategorieObject->id, $KategorieIDArray);
		
	}
	
	if (!$KategorieIDArray) {
		$KategorieIDArray[] = 0;
	}
	
	return $KategorieIDArray;
	
}

// Frontend


/************************************************************************
*																																				*
*								Kategoriefunktion fuer den Adminbereich									*
*																																				*
************************************************************************/

// Admin
// Frontend


function GetCMSAdminKategorieNode($ParentID,$id) {

	global $lang_artAnlegen;
	
	// Kategorien abfragen
	$SQLString = "SELECT * FROM " . TABLE_CMS_KATEGORIE . " WHERE parentid = '" . $ParentID . "' ORDER BY sort";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	// Kategorien ausgeben
	while ($KategorieObject = mysqli_fetch_object($MySQLQueryReference)) {
	
		// Namen der Kategorie
		if($KategorieObject->id == $id) {
			$formatKatText = "<b>" . $KategorieObject->name . "</b>";
		} else {
			$formatKatText = $KategorieObject->name;
		}
		
		echo "<tr>";
		echo "<td class=\"tdBackground2\"><input type=\"checkbox\" name=\"katId[]\" value=\"" . $KategorieObject->id . "\"></td>";
		echo "<td class=\"tdBackground2\">" . str_repeat("&nbsp;", ($KategorieObject->level * 3)) . "-" . $formatKatText . "</td>";

		if ($KategorieObject->smallImage != "") {
			echo "<td class=\"tdBackground2\"><img src=\"../../images/dbimages/".$KategorieObject->smallImage."\" width=\"30\" height=\"20\" border=\"0\"></td>";
		} else {
			echo "<td class=\"tdBackground2\">&nbsp;</td>";
		}

		echo "</tr>";

		GetCMSAdminKategorieNode($KategorieObject->id,$id);
		
	}

}


function XDeleteCMSKategorieRekursiv($KategorieID) {

	// Kategorie einlesen
	$SQLString = "SELECT * FROM " . TABLE_CMS_KATEGORIE . " WHERE id = '" . $KategorieID . "'";
	$KategorieObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));

	// Kategorie l�schen
	$SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIE . " WHERE id = '" . $KategorieID . "'";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	// Kategorierelation ztu den Artikel l�schen
	$SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIERELATION . " WHERE kategorieid = '" . $KategorieID . "'";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	// Bilder der Kategorie l�schen
	if (($KategorieObject->smallImage) && (file_exists("../../images/dbimages/" . $KategorieObject->smallImage))) {
		unlink("../../images/dbimages/" . $KategorieObject->smallImage);	
	}
	
	// alle Kategorien, die darunter liegen ebenfalls l�schen
	$SQLString = "SELECT * FROM " . TABLE_CMS_KATEGORIE . " WHERE parentid = '" . $KategorieID . "'";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	while ($KategorieObject = mysqli_fetch_object($MySQLQueryReference)) {
		DeleteCMSKategorieRekursiv($KategorieObject->id);
	}
	
}



function RenameCMSKategorie($KategorieID, $KategorieName, $smallImage, $maxgroesse) {
	
	$SQLString = "SELECT * FROM ".TABLE_CMS_KATEGORIE." WHERE id = '" . $KategorieID . "'";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	$rows = mysqli_fetch_object($MySQLQueryReference);

	if ($_FILES['smallImage']['tmp_name'] != "") {
		include_once("../includes/image_update.inc.php");
	}

	if ($dbUpdate != "false") {
		
		if($_FILES['smallImage']['tmp_name'] == "") {

			$SQLString = "UPDATE " . TABLE_CMS_KATEGORIE . " Set name = '" . $KategorieName . "', smallImage='' WHERE id = '" . $KategorieID . "'";

			// Bilder der Kategorie l�schen
			if (($rows->smallImage) && (file_exists("../../images/dbimages/" . $rows->smallImage))) {
				unlink("../../images/dbimages/" . $rows->smallImage);	
			}

  		} else {

			$SQLString = "UPDATE " . TABLE_CMS_KATEGORIE . " Set name = '" . $KategorieName . "', smallImage='" . $smallImage . "' WHERE id = '" . $KategorieID . "'";

		}
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

}

function SaveCMSSymbol($SymbolID = 0, $SymbolName, $FileArray) {

	// ********************************************************************************
	// ** Daten speichern
	// ********************************************************************************

	// Symbol schon vorhanden
	if ($SymbolID) {

		$SQLString = "UPDATE " . TABLE_SYMBOLLIB . " SET ";
		$SQLString .= TABLE_SYMBOLLIB . ".name = '" . $SymbolName . "' ";
		$SQLString .= "WHERE ";
		$SQLString .= TABLE_SYMBOLLIB . ".symbol_id = '" . $SymbolID . "'";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	// Symbol neu anlegen
	} else {

		$SQLString = "INSERT INTO " . TABLE_SYMBOLLIB . " SET ";
		$SQLString .= TABLE_SYMBOLLIB . ".name = '" . $SymbolName . "' ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

		$SymbolID = $GLOBALS['db']->insert_id;

	}
	
	// ********************************************************************************
	// ** Dateiupload auswerten
	// ********************************************************************************

	// Symbol Dateiupload
	if ($FileArray["size"] > 0) {

		$NewImageName = "symbol_" . sprintf("%07d", $SymbolID);

		// alten Dateiupload löschen
		unlink_wc(DATEIPFAD . "images/dbimages/", $NewImageName . ".*");

		// temporäre Datei kopieren
		$TempNameArray = explode(".", $FileArray["name"]);
		$NewImageName = $NewImageName . "." . $TempNameArray[count($TempNameArray) - 1];
		move_uploaded_file($FileArray["tmp_name"], DATEIPFAD . "images/dbimages/" . $NewImageName);
		chmod(DATEIPFAD . "images/dbimages/" . $NewImageName, 0777);

		// Datenbank updaten
		$SQLString = "UPDATE " . TABLE_SYMBOLLIB . " SET ";
		$SQLString .= TABLE_SYMBOLLIB . ".smallImage  = '" . $NewImageName . "' ";
		$SQLString .= "WHERE ";
		$SQLString .= TABLE_SYMBOLLIB . ".symbol_id = '" . $SymbolID . "' ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

}

function GetCMSSymbolDetail($SymbolID) {

	// SQL-String für das Symbol zusammensetzen
	$SQLString = "SELECT ";
	$SQLString .= TABLE_SYMBOLLIB . ".symbol_id, ";
	$SQLString .= TABLE_SYMBOLLIB . ".name, ";
	$SQLString .= TABLE_SYMBOLLIB . ".smallImage ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_SYMBOLLIB . " ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_SYMBOLLIB . ".symbol_id = '" . $SymbolID . "'";
	
//	echo '$SQLString: ' .$SQLString . '<br>';
	
	$SymbolObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	
	return $SymbolObject;

}

function DeleteCMSSymbol($SymbolID) {

	// Datei löschen
	$SymbolObject = GetCMSSymbolDetail($SymbolID);
	
	if (($SymbolObject->smallImage != "") && (file_exists(DATEIPFAD . "images/dbimages/" . $SymbolObject->smallImage))) { 
		unlink(DATEIPFAD . "images/dbimages/" . $SymbolObject->smallImage);
	}	

	// Datnbankeintrag löschen
	$SQLString = "DELETE FROM " . TABLE_SYMBOLLIB . " ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_SYMBOLLIB . ".symbol_id = '" . $SymbolID . "' ";

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

}

function GetCMSDatenblattDetail($DatenblattID, $LanguageID = 0) {

	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}
	
	// SQL-String für das Datenblatt zusammensetzen
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".datenblatt_id, ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".sortierung, ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".symbol, ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".language_independent, ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".titelname, ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".url_feld ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_CMS_DATENBLATT . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_DATENBLATT_LANGU . " ON ((" . TABLE_CMS_DATENBLATT . ".datenblatt_id = " . TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id) AND (" . TABLE_CMS_DATENBLATT_LANGU . ".language_id = " . $LanguageID . ")) ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".datenblatt_id = '" . $DatenblattID . "'";
	
//	echo '$SQLString: ' .$SQLString . '<br>';
	
	$DatenblattObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	
	return $DatenblattObject;

}

function SaveCMSDatenblatt($DatenblattID = 0, $ArtikelID, $DatenblattName, $DatenblattURL, $SymbolID, $Sortierung, $LanguageIdependent, $FileArray, $LanguageID) {
	
	// ********************************************************************************
	// ** Daten speichern
	// ********************************************************************************

	// Datenblatt schon vorhanden
	if ($DatenblattID) {

		$SQLString = "UPDATE " . TABLE_CMS_DATENBLATT . " SET ";
		$SQLString .= TABLE_CMS_DATENBLATT . ".sortierung = '" . $Sortierung . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT . ".symbol = '" . $SymbolID . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT . ".language_independent = '" . $LanguageIdependent . "' ";
		$SQLString .= "WHERE ";
		$SQLString .= TABLE_CMS_DATENBLATT . ".datenblatt_id = '" . $DatenblattID . "'";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	// Datenblatt neu anlegen
	} else {

		$SQLString = "INSERT INTO " . TABLE_CMS_DATENBLATT . " SET ";
		$SQLString .= TABLE_CMS_DATENBLATT . ".sortierung = '" . $Sortierung . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT . ".symbol = '" . $SymbolID . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT . ".language_independent = '" . $LanguageIdependent . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT . ".artikel_id = '" . $ArtikelID . "' ";
		

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

		$DatenblattID = $GLOBALS['db']->insert_id;

	}
	
	// Sprachabhängige Daten
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . " ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id = '" . $DatenblattID . "' AND ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".language_id = '" . $LanguageID . "' ";
	
	$DatenblattLanguageObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	
	if ($DatenblattLanguageObject) {
		
		$SQLString = "UPDATE " . TABLE_CMS_DATENBLATT_LANGU . " SET ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".titelname = '" . htmlspecialchars($DatenblattName, ENT_QUOTES) . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".url_feld = '" . $DatenblattURL . "' ";
		$SQLString .= " WHERE ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id = '" . $DatenblattID . "' AND ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".language_id = '" . $LanguageID . "' ";
		
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	} else {
		
		$SQLString = "INSERT INTO  " . TABLE_CMS_DATENBLATT_LANGU . " SET ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".titelname = '" . htmlspecialchars($DatenblattName, ENT_QUOTES) . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".url_feld = '" . $DatenblattURL . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id = '" . $DatenblattID . "', ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".language_id = '" . $LanguageID . "' ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

	// ********************************************************************************
	// ** Dateiupload auswerten
	// ********************************************************************************

	// Datenblatt Dateiupload
	if ($FileArray["size"] > 0) {

		$NewImageName = "datenblatt_" . sprintf("%07d", $DatenblattID) . "_" . $LanguageID;

		// alten Dateiupload löschen
		unlink_wc(DATEIPFAD . "data/", $NewImageName . ".*");

		// temporäre Datei kopieren
		$TempNameArray = explode(".", $FileArray["name"]);
		$NewImageName = $NewImageName . "." . $TempNameArray[count($TempNameArray) - 1];
		move_uploaded_file($FileArray["tmp_name"], DATEIPFAD . "data/" . $NewImageName);
		chmod(DATEIPFAD . "data/" . $NewImageName, 0777);

		// Datenbank updaten
		$SQLString = "UPDATE " . TABLE_CMS_DATENBLATT_LANGU . " SET ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datei_upload  = '" . $NewImageName . "' ";
		$SQLString .= "WHERE ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id = '" . $DatenblattID . "' AND ";
		$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".language_id = '" . $LanguageID . "' ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}
	
}

function GetCMSSymbolDataArray() {
	
	// SQL-String für die Symbole zusammensetzen
	$SQLString = "SELECT ";
	$SQLString .= TABLE_SYMBOLLIB . ".symbol_id, ";
	$SQLString .= TABLE_SYMBOLLIB . ".name, ";
	$SQLString .= TABLE_SYMBOLLIB . ".smallImage ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_SYMBOLLIB . " ";
	$SQLString .= "ORDER BY " . TABLE_SYMBOLLIB . ".name ";

//	echo '$SQLString: ' . $SQLString . '<br>';

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	$SymbolDataArray = array();

	while ($SymbolRow = mysqli_fetch_array($MySQLQueryReference)) {

		$SymbolDataArray[] = $SymbolRow;

	}

	return $SymbolDataArray;
}


function DeleteCMSDatenblatt($DatenblattID) {

	// Datei löschen
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datei_upload ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . " ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id = '" . $DatenblattID . "'"; 

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	while ($DatenblattRow = mysqli_fetch_array($MySQLQueryReference)) {
		
		if (($DatenblattRow["datei_upload"] != "") && (file_exists(DATEIPFAD . "data/" . $DatenblattRow["datei_upload"]))) { 
			unlink(DATEIPFAD . "data/" . $DatenblattRow["datei_upload"]);	
		}

	}

	// Datnbankeintrag löschen
	$SQLString = "DELETE FROM " . TABLE_CMS_DATENBLATT_LANGU . " ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id = '" . $DatenblattID . "' ";

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	$SQLString = "DELETE FROM " . TABLE_CMS_DATENBLATT . " ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".datenblatt_id = '" . $DatenblattID . "' ";

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
}

function GetCMSDatenblattDataArray($ArtikelID, $LanguageID = 0) {
	
	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}
	
	$StandardLanguageID = GetDefaultLanguageID();

	// SQL-String für die Kundenabfrage zusammensetzen
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".datenblatt_id, ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".artikel_id, ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".symbol, ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".sortierung, ";
	$SQLString .= TABLE_CMS_DATENBLATT_LANGU . ".titelname, ";
	$SQLString .= "IF(" . TABLE_CMS_DATENBLATT . ".language_independent, TABLE_CMS_DATENBLATT_langu_standard.url_feld, " . TABLE_CMS_DATENBLATT_LANGU . ".url_feld) AS url_feld, ";
	$SQLString .= "IF(" . TABLE_CMS_DATENBLATT . ".language_independent, TABLE_CMS_DATENBLATT_langu_standard.datei_upload, " . TABLE_CMS_DATENBLATT_LANGU . ".datei_upload) AS datei_upload, ";
	$SQLString .= TABLE_SYMBOLLIB . ".symbol_id, ";
	$SQLString .= TABLE_SYMBOLLIB . ".name, ";
	$SQLString .= TABLE_SYMBOLLIB . ".smallImage ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_CMS_DATENBLATT . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_DATENBLATT_LANGU . " ON ((" . TABLE_CMS_DATENBLATT . ".datenblatt_id = " . TABLE_CMS_DATENBLATT_LANGU . ".datenblatt_id) AND (" . TABLE_CMS_DATENBLATT_LANGU . ".language_id = " . $LanguageID . ")) ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_DATENBLATT_LANGU . " AS TABLE_CMS_DATENBLATT_langu_standard ON ((" . TABLE_CMS_DATENBLATT . ".datenblatt_id = TABLE_CMS_DATENBLATT_langu_standard.datenblatt_id) AND (TABLE_CMS_DATENBLATT_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= "LEFT JOIN " . TABLE_SYMBOLLIB . " ON " . TABLE_SYMBOLLIB.".symbol_id = " . TABLE_CMS_DATENBLATT.".symbol ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_DATENBLATT . ".artikel_id = '" . $ArtikelID . "' ";
	$SQLString .= "ORDER BY " . TABLE_CMS_DATENBLATT . ".sortierung ";

//	echo '$SQLString: ' . $SQLString . '<br>';

	// Datenblatt abfragen

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	while ($DatenblattRow = mysqli_fetch_array($MySQLQueryReference)) {

		$DatenblattDataArray[] = $DatenblattRow;

	}

	return $DatenblattDataArray;
}

//  Copyright (c) 2004 randshop
//  http://www.randshop.com
//
//  Unter Lizenz von randshop
//	
//	Letzte Bearbeitung: 01.08.2004


function GetCMSKatgorieDataArray($ArtikelID, $LanguageID = 0) {

	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	// ********************************************************************************
	// ** SQL-String zum einlesen der Kategorien zusammensetzen
	// ********************************************************************************

	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".position, ";
	$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".name, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv ";
	$SQLString .= "FROM " . TABLE_CMS_KATEGORIERELATION . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE . " ON " . TABLE_CMS_KATEGORIERELATION . ".kategorieid = " . TABLE_CMS_KATEGORIE . ".id ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" . TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = " . $LanguageID . ")) ";
	$SQLString .= "WHERE " . TABLE_CMS_KATEGORIERELATION . ".artikelid = '" . $ArtikelID . "' "; 
	$SQLString .= "ORDER BY " . TABLE_CMS_KATEGORIE . ".sort DESC"; 
	
	$MySQLQueryReferenz = errorlogged_mysql_query($SQLString);

	// ********************************************************************************
	// ** die Kategoriedaten in ein Array ablegen
	// ********************************************************************************

	$KategorieCounter = 0;
	$KategorieDataArray = array();

	while ($KategorieRowArray = mysqli_fetch_array($MySQLQueryReferenz, MYSQLI_ASSOC)) {

		// Daten f�r die Ausgabe formatieren
		$KategorieDataArray[$KategorieCounter]["id"] = $KategorieRowArray["id"];
		$KategorieDataArray[$KategorieCounter]["name"] = $KategorieRowArray["name"];
		$KategorieDataArray[$KategorieCounter]["aktiv"] = $KategorieRowArray["aktiv"];
		$KategorieDataArray[$KategorieCounter]["position"] = $KategorieRowArray["position"];
		
		$KategorieCounter++;
	}

	return $KategorieDataArray;
	
}

function GetCMSKategorieTop($LanguageID = 0) {

    global $glShopID;

	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	$StandardLanguageID = GetDefaultLanguageID();

	$SQLString = "SELECT kategorie_sort FROM " . TABLE_ALLGEMEIN;
	$KategorieSortObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	$KategorieSort = $KategorieSortObject->kategorie_sort;

	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".position, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name, TABLE_CMS_KATEGORIE_langu_standard.name) AS name, ";
	$SQLString .= "IF(" . TABLE_CMS_KATEGORIE . ".language_independent, TABLE_CMS_KATEGORIE_langu_standard.smallimage, " . TABLE_CMS_KATEGORIE_LANGU . ".smallimage) AS smallimage, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".language_independent, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".sort ";
	$SQLString .= " FROM " . TABLE_CMS_KATEGORIE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" .TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "'))";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " TABLE_CMS_KATEGORIE_langu_standard ON ((" . TABLE_CMS_KATEGORIE . ".id = TABLE_CMS_KATEGORIE_langu_standard.kategorie_id) AND (TABLE_CMS_KATEGORIE_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= " WHERE ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid = 0 AND ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv = 1 ";
	$SQLString .= ' AND ' . TABLE_CMS_KATEGORIE . '.shop_id = ' . $glShopID;
	

	if ($KategorieSort) {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE_LANGU . ".name ";
	} else {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE . ".sort ";
	}

//	echo '$SQLString: ' . $SQLString . '<br>';

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	$NavigationArray = array();
	
	while ($KategorieObject = mysqli_fetch_object($MySQLQueryReference)) {
	
		$KategorieCounter = count($NavigationArray);
		$NavigationArray[$KategorieCounter]["kategorieid"] = $KategorieObject->id;
		$NavigationArray[$KategorieCounter]["position"] = $KategorieObject->position;
		$NavigationArray[$KategorieCounter]["kategoriename"] = $KategorieObject->name;
		$NavigationArray[$KategorieCounter]["level"] = 0;
		
	}
	
	
	return $NavigationArray;
	
	
}


function GetCMSKategorie($LanguageID = 0, $ParentID = 0) {

	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	$StandardLanguageID = GetDefaultLanguageID();

	$SQLString = "SELECT kategorie_sort FROM " . TABLE_ALLGEMEIN;
	$KategorieSortObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	$KategorieSort = $KategorieSortObject->kategorie_sort;

	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".position, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name, TABLE_CMS_KATEGORIE_langu_standard.name) AS name, ";
	$SQLString .= "IF(" . TABLE_CMS_KATEGORIE . ".language_independent, TABLE_CMS_KATEGORIE_langu_standard.smallimage, " . TABLE_CMS_KATEGORIE_LANGU . ".smallimage) AS smallimage, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".language_independent, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".sort ";
	$SQLString .= " FROM " . TABLE_CMS_KATEGORIE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" .TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "'))";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " TABLE_CMS_KATEGORIE_langu_standard ON ((" . TABLE_CMS_KATEGORIE . ".id = TABLE_CMS_KATEGORIE_langu_standard.kategorie_id) AND (TABLE_CMS_KATEGORIE_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= " WHERE ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid = '" . $ParentID . "' AND ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv = '1'";
	

	if ($KategorieSort) {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE_LANGU . ".name ";
	} else {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE . ".sort ";
	}

//	echo '$SQLString: ' . $SQLString . '<br>';

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	$NavigationArray = array();
	
	while ($KategorieObject = mysqli_fetch_object($MySQLQueryReference)) {
	
		$KategorieCounter = count($NavigationArray);
		$NavigationArray[$KategorieCounter]["kategorieid"] = $KategorieObject->id;
		$NavigationArray[$KategorieCounter]["position"] = $KategorieObject->position;
		$NavigationArray[$KategorieCounter]["kategoriename"] = $KategorieObject->name;
		$NavigationArray[$KategorieCounter]["level"] = 0;
		unset($KategoriePathArray);
		$KategoriePathArray = GetCMSKategoriePathArray($_SESSION['artikelliste_shop']["kategorieid"], $KategoriePathArray, $LanguageID);
		$KategorieFound = false;

		foreach ($KategoriePathArray as $KategoriePathElement) {

			if ($KategoriePathElement["id"] == $KategorieObject->id) {
				$KategorieFound = true;
			}
			
		}
		if (($KategorieFound || ($KategorieObject->id == $_SESSION['artikelliste_shop']["kategorieid"]))) {
			if(($KategorieObject->id != $_SESSION['artikelliste_shop']["kategorieid"]) || (!$_SESSION['artikelliste_shop']["close_kategorie"])){
				$NavigationArray = GetCMSKategorieNavigationNode($KategorieObject->id, 1, $NavigationArray, $LanguageID);
			}
			
		}
	
	}
	
	
	return $NavigationArray;
	
	
}

function GetCMSKategorieNavigationNode($ParentID, $Level, $NavigationArray, $LanguageID = 0) {
	
	$StandardLanguageID = GetDefaultLanguageID();

	$SQLString = "SELECT kategorie_sort FROM " . TABLE_ALLGEMEIN;
	$KategorieSortObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	$KategorieSort = $KategorieSortObject->kategorie_sort;

	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".position, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name, TABLE_CMS_KATEGORIE_langu_standard.name) AS name, ";
	$SQLString .= "IF(" . TABLE_CMS_KATEGORIE . ".language_independent, TABLE_CMS_KATEGORIE_langu_standard.smallimage, " . TABLE_CMS_KATEGORIE_LANGU . ".smallimage) AS smallimage, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".language_independent, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".sort ";
	$SQLString .= " FROM " . TABLE_CMS_KATEGORIE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" .TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "'))";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " TABLE_CMS_KATEGORIE_langu_standard ON ((" . TABLE_CMS_KATEGORIE . ".id = TABLE_CMS_KATEGORIE_langu_standard.kategorie_id) AND (TABLE_CMS_KATEGORIE_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= " WHERE ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid = '" . $ParentID .  "' AND ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv = '1'";

	if ($KategorieSort) {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE_LANGU . ".name ";
	} else {
		$SQLString .= " ORDER BY " . TABLE_CMS_KATEGORIE . ".sort ";
	}

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	while ($KategorieObject = mysqli_fetch_object($MySQLQueryReference)) {
	
		$KategorieCounter = count($NavigationArray);

		$NavigationArray[$KategorieCounter]["kategorieid"] = $KategorieObject->id;
		$NavigationArray[$KategorieCounter]["kategoriename"] = $KategorieObject->name;
		$NavigationArray[$KategorieCounter]["position"] = $KategorieObject->position;
		$NavigationArray[$KategorieCounter]["level"] = $Level;
	
		unset($KategoriePathArray);
		$KategoriePathArray = GetCMSKategoriePathArray($_SESSION["kategorieid"], $KategoriePathArray, $LanguageID);

		$KategorieFound = false;

		foreach ($KategoriePathArray as $KategoriePathElement) {
		
			if ($KategoriePathElement["id"] == $KategorieObject->id) {
				$KategorieFound = true;
			}
			
		}

		if (($KategorieFound || ($KategorieObject->id == $_SESSION["kategorieid"]))) {
			$_SESSION["kategorie_prentid"] = $KategorieObject->id; 
			if(($KategorieObject->id != $_SESSION["kategorieid"]) || (!$_SESSION["close_kategorie"])){
				$NavigationArray = GetCMSKategorieNavigationNode($KategorieObject->id, $Level + 1, $NavigationArray, $LanguageID);
			}	
		}
		
		
	}

		return $NavigationArray;
}

function GetCMSKategoriePathID($KategorieID, $KategoriePathArray) {

	// die Kategorie einlesen
	$SQLString = "SELECT * FROM " . TABLE_CMS_KATEGORIE . " WHERE id = '" . $KategorieID . "'";
	$KategorieObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	
	$KategoriePathArray["parentid"][] = (int)$KategorieObject->parentid;
	$KategoriePathArray["kategorieid"][] = (int)$KategorieObject->id;
	$KategoriePathArray["name"][] = $KategorieObject->name;
	$KategoriePathArray["aktiv"][] = $KategorieObject->aktiv;

	if ($KategorieObject->parentid != 0) {
		$KategoriePathArray = GetCMSKategoriePathID($KategorieObject->parentid, $KategoriePathArray);
	}

	return $KategoriePathArray;
	

}



function CMSKategorieSaveImage($FilesArray, $ImageName, $KategorieID, $LanguageID) {

	if ($FilesArray["size"] > 0) {

		// altes Bild löschen
		CMSKategorieunlink_wc(DATEIPFAD . "images/dbimages/", $ImageName . ".*");
	
		// temporäre Datei kopieren
		$ImageNameArray = explode(".", $FilesArray["name"]);
		$ImageName = $ImageName . "." . $ImageNameArray[count($ImageNameArray) - 1];
		copy($FilesArray["tmp_name"], DATEIPFAD . "images/dbimages/" . $ImageName);
		
		// SQL-String zum speichern der Kategorie vorbereiten
		$SQLString = "UPDATE " . TABLE_CMS_KATEGORIE_LANGU . " SET ";
		$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".smallimage  = '" . $ImageName . "' ";
		$SQLString .= "WHERE " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id = '" . $KategorieID . "' AND ";
		$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "' ";
		
		$QueryReference = errorlogged_mysql_query($SQLString);

		return $ImageName;
		
	}

}

function SaveCMSKategorie($KategorieID, $ParentID, $Name, $Sort, $KategorieSort, $LanguageIndependent, $LanguageID = 0, $Position, $URLNameVorgabe, $shopID) {
	
    // SEO Einstellungen einlesen
    $Einstellungen = GetEinstellungen('', 'seo');
    
	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	// Wenn die Kategorie schon vorhanden ist
	if ($KategorieID) {

		// SQL-String zum speichern des Artikels vorbereiten
		$SQLString = "UPDATE " . TABLE_CMS_KATEGORIE . " SET ";
		$SQLString .= TABLE_CMS_KATEGORIE . ".parentid = '" . $ParentID . "', ";
		$SQLString .= TABLE_CMS_KATEGORIE . ".position = '" . $Position . "', ";
		if (!$KategorieSort) {
			$SQLString .= TABLE_CMS_KATEGORIE . ".sort = '" . $Sort . "', ";
		}
		$SQLString .= TABLE_CMS_KATEGORIE . ".language_independent = '" . $LanguageIndependent . "' ";
		$SQLString .= "WHERE " . TABLE_CMS_KATEGORIE . ".id = '" . $KategorieID . "'";
		
		$QueryReference = errorlogged_mysql_query($SQLString);
		
	// wenn die Kategorie neu angelegt werden soll
	} else {
		
		// SQL-String zum speichern des Artikels vorbereiten
		$SQLString = "INSERT INTO " . TABLE_CMS_KATEGORIE . " SET ";
		$SQLString .= TABLE_CMS_KATEGORIE . ".parentid = '" . $ParentID . "', ";
		$SQLString .= TABLE_CMS_KATEGORIE . ".position = '" . $Position . "', ";
		$SQLString .= TABLE_CMS_KATEGORIE . ".sort = '" . $Sort . "', ";
		$SQLString .= TABLE_CMS_KATEGORIE . ".language_independent = '" . $LanguageIndependent . "' ";
        $SQLString .= ', ' . TABLE_CMS_KATEGORIE . ".shop_id = '" . $shopID . "' ";

		$QueryReference = errorlogged_mysql_query($SQLString);
		
		$KategorieID = $GLOBALS['db']->insert_id;

	}
	
	if ($Einstellungen->seo->sprechende_urls_aktiv || $URLNameVorgabe) {
	    
        if ($URLNameVorgabe) {
            $URLName = DecodeKategorieSEOName($URLNameVorgabe); 
        } else {
            $URLName = DecodeKategorieSEOName($Name);
        }
	
	} else {
	    
	    $URLNameVorgabe = '';
        $URLName = '';
	
	}
	
	// Sprachabhängige Daten
	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_CMS_KATEGORIE_LANGU . " ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id = '" . $KategorieID . "' AND ";
	$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "' ";
	
	$KategorieLanguageObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	
	if ($KategorieLanguageObject) {
		
		$SQLString = "UPDATE " . TABLE_CMS_KATEGORIE_LANGU . " SET ";
		$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".name = '" . htmlspecialchars($Name, ENT_QUOTES) . "', ";
        $SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".url_name_vorgabe = '" . $URLNameVorgabe . "', ";
        $SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".url_name = '" . $URLName . "' ";
		$SQLString .= " WHERE ";
		$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id = '" . $KategorieID . "' AND ";
		$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "' ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	} else {
		
		$SQLString = "INSERT INTO  " . TABLE_CMS_KATEGORIE_LANGU . " SET ";
		$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".name = '" . htmlspecialchars($Name, ENT_QUOTES) . "', ";
        $SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".url_name_vorgabe = '" . $URLNameVorgabe . "', ";
        $SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".url_name = '" . $URLName . "', ";
		$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id = '" . $KategorieID . "', ";
		$SQLString .= TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "' ";

		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	}

    // SEO URLs neu definiern 
    if ($Einstellungen->seo->sprechende_urls_aktiv) {
	   SetCMSKategorieSEOURLs($KategorieID, $LanguageID);
    }
	
	return $KategorieID;

}

function CMSKategorieCheckImage($FilesArray, $MaxFileSize, $PossibleFileTypeArray, $FieldName) {

	global $a_artikel_image_error_zugross;
	global $a_artikel_image_error_falschesformat;
	
	if ($FilesArray["size"] > 0) {

		// die Gr��e �berpr�fen
		if ($FilesArray["size"] > $MaxFileSize) {
			
			$ImageErrorMessage = sprintf($a_artikel_image_error_zugross, $FieldName, number_format($MaxFileSize, 0, "", "."));
			
		}
		
		// den Filetyp �berpr�fen
		$FileTypeError = true;
		foreach ($PossibleFileTypeArray as $PossibleFileType) {
			
			if ($FilesArray["type"] == $PossibleFileType) {
				$FileTypeError = false;			
			}
			
		}
		
		if ($FileTypeError && !$ImageErrorMessage) {
			$ImageErrorMessage = sprintf($a_artikel_image_error_falschesformat, $FieldName);
		}
			
		return $ImageErrorMessage;
		
	}
	
}


function DeleteCMSKategorie($KategorieID) {
	
	$SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIE;
	$SQLString .= " WHERE " . TABLE_CMS_KATEGORIE . ".id = '" . $KategorieID . "'";

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	$SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIERELATION;
	$SQLString .= " WHERE " . TABLE_CMS_KATEGORIERELATION . ".kategorieid = '" . $KategorieID . "'";

	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

    $SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIE_LANGU;
    $SQLString .= " WHERE " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id = '" . $KategorieID . "'";

    $MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
    CMSKategorieunlink_wc(DATEIPFAD . "images/dbimages/", "kategorie" . $KategorieID . ".*");

    DeleteCMSKategorieSEOURL($KategorieID);
    	
	$KategorieIDArray = GetCMSKategorieRekursivID($KategorieID, $KategorieIDArray);

	if ($KategorieIDArray) {

		$SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIE;
		$SQLString .= " WHERE " . TABLE_CMS_KATEGORIE . ".id IN (" . implode(",", $KategorieIDArray) . ")";
	
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);
		
		$SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIERELATION;
		$SQLString .= " WHERE " . TABLE_CMS_KATEGORIERELATION . ".kategorieid IN (" . implode(",", $KategorieIDArray) . ")";
	
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);

        $SQLString = "DELETE FROM " . TABLE_CMS_KATEGORIE_LANGU;
        $SQLString .= " WHERE " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id IN (" . implode(",", $KategorieIDArray) . ")";
    
        $MySQLQueryReference = errorlogged_mysql_query($SQLString);
		
        foreach ($KategorieIDArray as $KategorieID) {
		
			CMSKategorieunlink_wc(DATEIPFAD . "images/dbimages/", "kategorie" . $KategorieID . ".*");
            DeleteCMSKategorieSEOURL($KategorieID);
			
		}

	}

}


function SetCMSKategorieAktiv($KategorieID, $Aktiv = "") {
	
	// wenn $Aktiv nicht �bergeben wurde, die aktuelle Einstellung umdrehen
	if ($Aktiv == "") {
	
		$SQLString = "SELECT aktiv FROM " . TABLE_CMS_KATEGORIE . " WHERE id = '" . $KategorieID . "'";
		$KategorieObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
		
		if ($KategorieObject->aktiv == 1) {
		
			$SQLString = "UPDATE " . TABLE_CMS_KATEGORIE . " SET aktiv = 0 WHERE id = '" . $KategorieID . "'";
			$KategorieQueryReference = errorlogged_mysql_query($SQLString);

		
		} else {

			$SQLString = "UPDATE " . TABLE_CMS_KATEGORIE . " SET aktiv = 1 WHERE id = '" . $KategorieID . "'";
			$KategorieQueryReference = errorlogged_mysql_query($SQLString);

		}
		
		
	// wenn $Aktiv �bergeben wurde, den Artikel darauf setzen
	} else {
	
		$SQLString = "UPDATE " . TABLE_CMS_KATEGORIE . " SET aktiv = '" . $Aktiv . "'";
		$KategorieQueryReference = errorlogged_mysql_query($SQLString);
		
	}
	
}

function GetCMSKategorieRekursivID($ParentID, $KategorieIDArray) {
	
	$SQLString = "SELECT " . TABLE_CMS_KATEGORIE . ".id FROM " . TABLE_CMS_KATEGORIE;
	$SQLString .= " WHERE " . TABLE_CMS_KATEGORIE . ".parentid = '" . $ParentID . "'";
	
	// Daten abfragen und in ein Array legen
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	while ($KategorieRow = mysqli_fetch_array($MySQLQueryReference, MYSQLI_ASSOC)) {
		
		$KategorieIDArray[] = $KategorieRow["id"];
		
		$KategorieIDArray = GetCMSKategorieRekursivID($KategorieRow["id"], $KategorieIDArray);

	}
	
//	echo "<pre>";
//	var_dump($KategorieIDArray);
//	echo "</pre>";

	return $KategorieIDArray;
	
}




function GetCMSKategoriePathArray($KategorieID, $KategoriePathArray, $LanguageID) {
;
	// die Kategorie einlesen
	$SQLString = "SELECT " . TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".position, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".level, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".sort, ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv, ";
	$SQLString .=  TABLE_CMS_KATEGORIE_LANGU . ".name ";
	$SQLString .= "FROM " . TABLE_CMS_KATEGORIE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" . TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = " . $LanguageID . ")) ";
	$SQLString .= " WHERE id = '" . $KategorieID . "'";
	
	
	$KategorieObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	
	$KategoriePathArrayCounter = is_countable($KategoriePathArray)?count($KategoriePathArray):0;
	
	$KategoriePathArray[$KategoriePathArrayCounter]["id"] = $KategorieObject->id;
	$KategoriePathArray[$KategoriePathArrayCounter]["name"] = $KategorieObject->name;

	if ($KategorieObject->parentid != 0) {
		$KategoriePathArray = GetCMSKategoriePathArray($KategorieObject->parentid, $KategoriePathArray, $LanguageID);
	}

	return $KategoriePathArray;
	
}




function GetCMSKategorieArray($ArtikelID = "", $KategorieIDArray = "") {

	// Wenn nur die Kategorien eingelesen werden sollen, die einem Artikel zugeordnet sind
	if ($ArtikelID) {
	
		// Datenbank Abfragen
		$SQLString = "SELECT " . TABLE_CMS_KATEGORIE . ".name, " . TABLE_CMS_KATEGORIE . ".aktiv FROM " . TABLE_CMS_KATEGORIE . " LEFT JOIN " . TABLE_CMS_KATEGORIERELATION . " ON " . TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIERELATION . ".kategorieid WHERE " . TABLE_CMS_KATEGORIERELATION . ".artikelid = '" . $ArtikelID . "' ORDER BY " . TABLE_CMS_KATEGORIE . ".sort"; 
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);
		
		while ($KategorieElement = mysqli_fetch_array($MySQLQueryReference)) {
			$KategorieArray[] = $KategorieElement;
		}
		
	}
	
	// Wenn die Kategorien basierend auf KategorieIDs eingelesen werden sollen
	if ($KategorieIDArray) {

		// Datenbank Abfragen
		$SQLString = "SELECT " . TABLE_CMS_KATEGORIE . ".name FROM " . TABLE_CMS_KATEGORIE . " WHERE " . TABLE_CMS_KATEGORIE . ".id IN (" . implode(',', $KategorieIDArray) . ") ORDER BY " . TABLE_CMS_KATEGORIE . ".sort";
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);
		
		while ($KategorieElement = mysqli_fetch_array($MySQLQueryReference)) {
			$KategorieArray[] = $KategorieElement;
		}

	}

	return $KategorieArray;
	
}

function GetCMSKategorieNameString($ArtikelID = "", $KategorieIDArray = "", $Separator) {

	global $lang_KeineKategorie;
	
	// Wenn der String auf Basis einer Artikelnummer zusammengesetzt werden soll
	if ($ArtikelID) {

		// Kategorien einlesen
		$KategorieArray = GetCMSKategorieArray($ArtikelID);
		
	// Wenn der String einfach nur durch IDs von Kategorien zusammengestezt werden soll
	} elseif ($KategorieIDArray) {
		
		// Kategorien einlesen
		$KategorieArray = GetCMSKategorieArray("", $KategorieIDArray);

	}

	// String zusammen setzen
	if ($KategorieArray) {

		foreach ($KategorieArray as $KategorieElement) {
			
			if ($KategorieElement["aktiv"]) {
				$KatgorieString .= $KategorieElement["name"] . $Separator;
			} else {
				$KatgorieString .= "<i class=\"inaktiv\">" . $KategorieElement["name"] . "</i>" . $Separator;
			}
			
		}

	} else {
	
		$KatgorieString = "<i>" . $lang_KeineKategorie . "</i>";
		
	}
	
	$KatgorieString = substr($KatgorieString, 0, (strlen($KatgorieString) - strlen($Separator)));

	return $KatgorieString;
	
}


// Frontend
function XGetCMSKategorie($KategorieLevel) {
	
	$SQLString = "SELECT * FROM ".TABLE_CMS_KATEGORIE." WHERE level = '" . $KategorieLevel . "' ORDER BY sort";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	while ($KategorieObject = mysqli_fetch_object($MySQLQueryReference)) {
	
		echo str_repeat("&nbsp;", ($KategorieObject->level * 1)) . "<a href=\"".URLPFAD."cms/kategorie/index.php?katId=" . $KategorieObject->id . "\"><b>" . $KategorieObject->name . "</b></a><br>";

		unset($KategoriePathArray);
		$KategoriePathArray = GetCMSKategoriePathArray($_SESSION["kategorieid"], $KategoriePathArray);
		
		$KategorieFound = false;

		foreach ($KategoriePathArray as $KategoriePathElement) {
		
			if ($KategoriePathElement["id"] == $KategorieObject->id) {
				$KategorieFound = true;
			}
			
		}

		if ($KategorieFound || ($KategorieObject->id == $_SESSION["kategorieid"])) {

			GetCMSKategorieNode($KategorieObject->id,"");
			
		}
		
	}
	
	
}



/************************************************************************
*																																				*
*								Kategoriefunktion fuer den Adminbereich									*
*																																				*
************************************************************************/

// Admin
// Frontend

function GetAdminCMSKategorie($KategorieLevel, $id) {

	global $lang_artAnlegen;
	
	// Kategorien abfragen
	//$SQLString = "SELECT * FROM " . TABLE_CMS_KATEGORIE . " WHERE level = '" . $KategorieLevel . "' ORDER BY sort";
	$SQLString = "SELECT * FROM " . TABLE_CMS_KATEGORIE . " WHERE parentid = 0 ORDER BY sort";
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);
	
	// Kategorien ausgeben
	while ($KategorieObject = mysqli_fetch_object($MySQLQueryReference)) {

		// Namen der Kategorie
		if ($KategorieObject->id == $id) {
			$formatKatText = "<b>" . $KategorieObject->name . "</b>";
		} else {
			$formatKatText = $KategorieObject->name;
		}
		
		echo "<tr>";
		echo "<td class=\"tdBackground2\"><input type=\"checkbox\" name=\"katId[]\" value=\"" . $KategorieObject->id . "\"></td>";
		echo "<td class=\"tdBackground2\">" . str_repeat("&nbsp;", ($KategorieObject->level * 1)) . "<b>" . $formatKatText . "</b></td>";
		echo "<td class=\"tdBackground2\">&nbsp;</td>";
		echo "</tr>";

		GetCMSAdminKategorieNode($KategorieObject->id, $id);

	}
	
}


function AddCMSKategorieData($KategorieIDArray, $KategorieName, $Language, $smallImage, $maxgroesse) {

	// Wenn keine Kategorie ausgew�hlt wurde, die Kategorie in der ersten Ebene anlegen
	if (!$KategorieIDArray) {

		$SQLString = "INSERT INTO " . TABLE_CMS_KATEGORIE . " (level, name, langu) VALUES ('1', '" . $KategorieName . "', '" . $Language . "')";
		$MySQLQueryReference = errorlogged_mysql_query($SQLString);
		
	// die Kategorie unter allen ausgew�hlten Kategorien anlegen
	} else {
		
		foreach($KategorieIDArray as $KategorieID) {

			$SQLString = "SELECT * FROM " . TABLE_CMS_KATEGORIE . " WHERE id = '" . $KategorieID . "'";
			$KategorieObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));

			include_once("../includes/image_upload.inc.php");

			$SQLString = "INSERT INTO " . TABLE_CMS_KATEGORIE . " (level, name, langu, parentid, smallImage) VALUES ('" . ($KategorieObject->level + 1) . "', '" . $KategorieName . "', '" . $Language ."', '" . $KategorieObject->id . "', '" . $smallImage . "')";
			$MySQLQueryReference = errorlogged_mysql_query($SQLString);
			
		}		
		
	}

}




function XDeleteCMSKategorie($KategorieIDArray) {
	
	if ($KategorieIDArray) {

		// Kategorien Rekursiv l�schen
		foreach ($KategorieIDArray as $KategorieID) {
		
			DeleteCMSKategorieRekursiv($KategorieID);
			
		}
	
//		$loeschen = "DELETE FROM " . TABLE_ARTIKEL . " WHERE kategorie = '".$katId."'";
//  	$loesch = errorlogged_mysql_query($loeschen);

	}

}



function CheckCloseCMSKategorie($KategorieID){
	
	$SQLString = 'SELECT id ';
	$SQLString .= 'FROM ' . TABLE_CMS_KATEGORIE . ' ';
	$SQLString .= 'WHERE parentid = \'' . $KategorieID . '\'';
	
	$Queryreference = errorlogged_mysql_query($SQLString);
	
	while($row = mysqli_fetch_assoc($Queryreference)){
		$KategorieChildrenArray[] = $row;	
	}
	
	
	
	$SQLString = 'SELECT id ';
	$SQLString .= 'FROM ' . TABLE_CMS_KATEGORIE . ' ';
	$SQLString .= 'WHERE parentid = \'' . $KategorieID . '\'';
	$SQLString .= 'AND id = \'' . $_SESSION["kategorieid"] . '\'';
	
	$KategorieObject = mysqli_fetch_object(errorlogged_mysql_query($SQLString));
	
	if($KategorieObject){
		
		return true;
		
	}elseif($KategorieChildrenArray){
		
		foreach($KategorieChildrenArray as $KategorieChild){
		
			if(CheckCloseCMSKategorie($KategorieChild["id"])){
				return true;
			}
		
		}
		
	}else{
		return false;
	}
	
}

function GetCMSKategorieDataArray($ParentID, $LanguageID = 0) {
	
	$StandardLanguageID =GetDefaultLanguageID();
	
	// Sprache ermitteln
	if (!$LanguageID) {
		$LanguageID =GetDefaultLanguageID();
	}


	$SQLString = "SELECT ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".id, ";
	$SQLString .= "IFNULL(" . TABLE_CMS_KATEGORIE_LANGU . ".name, TABLE_CMS_KATEGORIE_langu_standard.name) AS name, ";
	$SQLString .= "IF(" . TABLE_CMS_KATEGORIE . ".language_independent, TABLE_CMS_KATEGORIE_langu_standard.smallimage, " . TABLE_CMS_KATEGORIE_LANGU . ".smallimage) AS smallimage ";
	$SQLString .= "FROM ";
	$SQLString .= TABLE_CMS_KATEGORIE . " ";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " ON ((" .TABLE_CMS_KATEGORIE . ".id = " . TABLE_CMS_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_CMS_KATEGORIE_LANGU . ".language_id = '" . $LanguageID . "'))";
	$SQLString .= "LEFT JOIN " . TABLE_CMS_KATEGORIE_LANGU . " TABLE_CMS_KATEGORIE_langu_standard ON ((" . TABLE_CMS_KATEGORIE . ".id = TABLE_CMS_KATEGORIE_langu_standard.kategorie_id) AND (TABLE_CMS_KATEGORIE_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$SQLString .= "WHERE ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".parentid = '" . $ParentID . "' AND ";
	$SQLString .= TABLE_CMS_KATEGORIE . ".aktiv = 1 ";
	$SQLString .= "ORDER BY " . TABLE_CMS_KATEGORIE . ".sort ASC";
	
	
	$MySQLQueryReference = errorlogged_mysql_query($SQLString);

	while($row = mysqli_fetch_assoc($MySQLQueryReference)){
		$KategorieDataArray[] = $row;
	}

	return $KategorieDataArray;


}


	function ReplaceArtikelText($Text){


		/********************************************************************************************
		 * Darstellung von Shop-Artikeln fuer CMS aufbereiten
		 *********************************************************************************************/
		 
		preg_match_all('/{\{a\}\{.{8}\}\{.{4}\}\}/',$Text,$hitsArtikel);
		
		if($hitsArtikel){
			
			
		
			foreach($hitsArtikel[0] as $hitArtikel){
	
//				$ArtikelID = str_replace('{','',str_replace('}','',$tempIDArray[0]));
			
				$artikelID = (int)substr($hitArtikel,5,(count($hitArtikel)-9));
				
				$ArtikelObject = GetArtikelDetail($artikelID,0,0,$_SESSION["languageid"]);
				
				if($ArtikelObject){
					$align = substr($hitArtikel,15,(count($hitArtikel)-3));
				
					switch($align){
						
						case "left";
							$style = "style=\"width:" . ($ArtikelObject->imagesmall_width) . "px; border: 1px solid #6D808F; float:left; margin:5px; padding: 2px;\"";
							break;				
	
						case "cntr";
							$style = "style=\"width:" . ($ArtikelObject->imagesmall_width) . "px; border: 1px solid #6D808F; clear:both; margin:5px 5px 5px -" . number_format(((($ArtikelObject->imagesmall_width +2)/2)-5),0) . "px ; position:relative; left:50%; padding: 2px;\" ";
							break;				
							
						case "rgth";
							$style = "style=\"width:" . ($ArtikelObject->imagesmall_width) . "px; border: 1px solid #6D808F; float:right; margin:5px; padding: 2px;\"";
							break;				
						
						case "none";
							$style = "style=\"width:" . ($ArtikelObject->imagesmall_width) . "px; border: 1px solid #6D808F; margin:5px; padding: 2px;\"";
							break;
					}
		
					$replaceString = "<div " . $style .">";
					$replaceString .= "<a href=\"" . URLPFAD . "themes/kategorie/detail.php?artikelid=" . $artikelID . "\">";
					$replaceString .= $ArtikelObject->imagesmall_imagestring . "<br/>";
					$replaceString .= "<div style=\"width:" . ($ArtikelObject->imagesmall_width) . "px; text-align:center; position:relative;\">";
					$replaceString .= $ArtikelObject->artikel_name;
					$replaceString .= "</a></div></div>";
				}else{
					$replaceString = "";
				}
//				echo "<hr><pre>" . htmlspecialchars($replaceString) . "<pre><hr>";
			
			
				$Text = str_replace($hitArtikel,$replaceString,$Text);			
			}
		}
		
		/********************************************************************************************
		 * Darstellung von Shop-Kategorien fuer CMS aufbereiten
		 *********************************************************************************************/
	
		preg_match_all('/{\{k\}\{.{8}\}\{.{4}\}\}/',$Text,$hitsKategorie);
		
		if($hitsKategorie){
			
		
			foreach($hitsKategorie[0] as $hitKategorie){
	
//				$ArtikelID = str_replace('{','',str_replace('}','',$tempIDArray[0]));
			
				$kategorieID = (int)substr($hitKategorie,5,(count($hitKategorie)-9));
				
				$KategorieObject = GetKategorieDetail($kategorieID,$_SESSION["languageid"]);
				
				
				if($KategorieObject){
					$align = substr($hitKategorie,15,(count($hitKategorie)-3));
				
				
				
					switch($align){
						
						case "left";
								$style = "style=\"width:" .  $KategorieObject->imagesmall_width . "px; border: 1px solid #6D808F; float:left; clear:left; margin:5px; padding: 2px;\"";
							break;				
	
						case "cntr";
								$style = "style=\"width:" . $KategorieObject->imagesmall_width . "px; border: 1px solid #6D808F; clear:both; margin:5px 5px 5px -" . number_format(((($ArtikelObject->imagesmall_width +2)/2)-5),0) . "px ; position:relative; left:50%; padding: 2px;\" ";
							break;				
							
						case "rgth";
								$style = "style=\"width:" . $KategorieObject->imagesmall_width . "px; border: 1px solid #6D808F; float:right; clear:right; margin:5px; padding: 2px;\"";
							break;				

						case "none";
								$style = "style=\"width:" . $KategorieObject->imagesmall_width . "px; border: 1px solid #6D808F; margin:5px; padding: 2px;\"";
							break;		
													
					}
		
					$replaceString = "<div " . $style .">";
					$replaceString .= "<a href=\"" . URLPFAD . "themes/kategorie/index.php?kategorieid=" . $kategorieID . "\">";
					$replaceString .= $KategorieObject->imagesmall_imagestring . "<br/>";
					$replaceString .= "<div style=\"width:" . ($KategorieObject->imagesmall_width) . "px; text-align:center; position:relative;\">";
					$replaceString .= $KategorieObject->name;
					$replaceString .= "</a></div></div>";
			
				}else{
					$replaceString = "";
				}
			
				$Text = str_replace($hitKategorie,$replaceString,$Text);			
			}
		}
		
		return $Text;
			
	}
